<?php
// EXIT IF ACCESSED DIRECTLY
if ( !defined( 'ABSPATH' ) ) exit;

// INSTALL DATABASE TABLE FOR INVOICE LOGO AND BUSINESS NAME ETC.
function wpj_database_install(){
	global $wpdb;
	$wpjinvoiceinfo = "{$wpdb->prefix}job_invoice_business_info";

	$sql = "CREATE TABLE $wpjinvoiceinfo (
				`id` int(11) NOT NULL AUTO_INCREMENT,
				`user_id` int(11) NOT NULL,
				`business_name` varchar(100) NOT NULL,
				`business_information` varchar(255) NOT NULL,
				`business_logo` varchar(100) NOT NULL,
				`image_path` varchar(150) NOT NULL,
				`image_url` varchar(150) NOT NULL,
				`image_type` varchar(15) NOT NULL,
				`date_called` timestamp DEFAULT CURRENT_TIMESTAMP,
				PRIMARY KEY `id` (id)
			)";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
}

function wpj_database_uninstall() {
	global $wpdb;
//  $wpdb->query( "DROP TABLE IF EXISTS {$wpdb->prefix}job_invoice_business_info" );
}
