<?php
/**
 * Functions with very small requirements, to be used with shortinit
 */
add_action( 'light_ajax_check_live_notifications', 'wpj_check_live_notifications' );
add_action( 'light_ajax_nopriv_check_live_notifications', 'wpj_check_live_notifications' );
function wpj_check_live_notifications() {
	global $current_user;
	$current_user  = wp_get_current_user();

	$enabled       = get_option( 'wpjobster_enable_live_notifications' );
	$notifications = get_user_meta( $current_user->ID, 'notifications_number', true );
	$messages      = get_user_meta( $current_user->ID, 'messages_number', true );
	$messages_time = get_user_meta( $current_user->ID, 'messages_time', true );

	$response = array(
		'enabled'       => $enabled,
		'notifications' => $notifications,
		'messages'      => $messages,
		'messages_time' => $messages_time,
		'current_time'  => time(),
		'timeout'       => 2000,
		'max_timeout'   => 32000,
	);

	wp_send_json( $response );
	wp_die();
}
