jQuery( document ).ready( function( $ ) {

	// UPDATE USER BADGES
	$( '.js-user-badges' ).change( function(){
		$( '.btn_update_user_badges' ).attr( 'value', wpj_vars.lvl_update_lbl );
	});

	$( '.btn_update_user_badges*' ).click( function() {
		var id    = $( this ).attr( 'alt' );
		var $this = $( this );

		$this.val( wpj_vars.please_wait_lbl );

		var badges = [];
		$( this ).parents( 'th' ).siblings( '.scrolling' ).find( 'input:checked[name="badges[]"]' ).each( function() {
			badges.push( $( this ).val() );
		});

		$.ajax({
			url: wpj_vars.ajaxurl,
			type: 'POST',
			data: {
				action   : 'update_badge_user',
				uid      : id,
				badge    : badges,
				no_credit: true
			},
			success: function ( text ) {
				$this.val( wpj_vars.lvl_saved_lbl );
				return false;
			}
		});

	});

	$( '#badge-help' ).click( function( e ) {
		$( "#icon-example" ).slideToggle();
	});

});