/* SORT DROPZONE IMAGES */
if ( typeof Dropzone == "function" ) { Dropzone.autoDiscover = false; }

jQuery( document ).ready( function( $ ) {

	if ( jQuery( '#dropzone-jobimages' )[0] ) {
		$( "#dropzone-jobimages" ).sortable({
			connectWith: '#dropzone-jobimages',

			start : function( event, ui ) {},
			change: function( event, ui ) {},
			update: function( event, ui ) {

				var images_order = $( "#dropzone-jobimages" ).sortable( 'toArray', { attribute: 'data-id' } );
				$( "#images_order" ).val( images_order );

				$.ajax({
					type: "POST",
					url : ajaxurl,
					data: {
						action      : 'update_images_order',
						pid         : $( "#dropzone-jobimages" ).attr( 'data-pid' ),
						images_order: images_order
					},
					success: function( output ) {}
				});
			},

			items: ".dz-image-wrapper"
		});

		$( "#dropzone-jobimages div" ).disableSelection();

		if ( $( "#dropzone-jobimages .dz-preview.dz-image-preview.dz-complete" ).length > 0 ) {
			$( "#dropzone-jobimages" ).addClass( "dz-started" );
		}

		if ( $( "#dropzone-jobimages .dz-preview.dz-image-preview.dz-complete" ).length >= $( "#dropzone-jobimages" ).data( "maxnrofpictures" ) ) {
			$( "#dropzone-jobimages" ).addClass( "maxnrofpictures" );
		}

		if ( $( "#dropzone-jobcover .dz-preview" ).length >= 1 ) {
			$( "#dropzone-jobcover" ).addClass( "maxnrofpictures" );
		}
	}

});