<?php
class SmsGateways{

	public function __construct() {
		do_action( 'wpjobster_sms_methods_action' );
	}

	public function wpjobster_sms_gateways() {
		show_html_sms_gateways();
	}

	public function save_general_settings() {
		if ( isset( $_POST['wpjobster_save_general_settings'] ) ) {
			if ( wpjobster_sms_allowed() ) {
				update_option( 'wpjobster_sms_gateways_enable', trim( $_POST['wpjobster_sms_gateways_enable'] ) );
				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
			} else {
				update_option( 'wpjobster_sms_gateways_enable', '-' ); ?>

				<div class="error notice">
					<p>Could not save SMS settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>
			<?php }
		}
	}

	public function save_twilio_settings() {
		if ( isset( $_POST['wpjobster_save_twilio_settings'] ) ) {
			if ( wpjobster_sms_allowed() ) {

				if ( isset( $_POST['wpjobster_theme_accountsid'] ) ){
					update_option( 'wpjobster_theme_accountsid', trim( $_POST['wpjobster_theme_accountsid'] ) );
				}
				if ( isset( $_POST['wpjobster_theme_apipass'] ) ){
					update_option( 'wpjobster_theme_apipass', trim( $_POST['wpjobster_theme_apipass'] ) );
				}
				if ( isset( $_POST['wpjobster_theme_authtoken'] ) ){
					update_option( 'wpjobster_theme_authtoken', trim( $_POST['wpjobster_theme_authtoken'] ) );
				}

				update_option( 'wpjobster_sms_numb_twilio_from', trim( $_POST['wpjobster_sms_numb_twilio_from'] ) );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {

				update_option( 'wpjobster_sms_gateways_enable', '-' ); ?>

				<div class="error notice">
					<p>Could not save SMS settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>

			<?php }
		}
	}

	public function save_cafe24_settings() {
		if ( isset( $_POST['wpjobster_save_cafe24_settings'] ) ) {
			if ( wpjobster_sms_allowed() ) {

				update_option( 'wpjobster_theme_cafe_userid' , trim( $_POST['wpjobster_theme_cafe_userid'] ) );
				update_option( 'wpjobster_theme_cafe_secure' , trim( $_POST['wpjobster_theme_cafe_secure'] ) );
				update_option( 'wpjobster_sms_numb_cafe_from', trim( $_POST['wpjobster_sms_numb_cafe_from'] ) );

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {

				update_option( 'wpjobster_sms_gateways_enable', '-' ); ?>

				<div class="error notice">
					<p>Could not save SMS settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>

			<?php }
		}
	}

}

$cl_sg = new SmsGateways();
