<?php
class TransactionMessage {

	public function wpjobster_transaction_messages() {
		show_html_transaction_messages();
	}

	public function getRowQuery( $rows_per_page = 10, $pageno = 1, $limited = false ) {
		global $wpdb;

		$user = WPJ_Form::get( 'search_user', '' );
		$uid = ctype_digit( $user ) || is_int( $user ) ? $_GET['search_user'] : '';
		if ( ! $uid ) {
			$query  = "SELECT ID FROM {$wpdb->users} WHERE user_login = '{$user}'";
			$result = $wpdb->get_results( $query );
			$uid = count( $result ) > 0 ? $result[0]->ID : '';
		}

		$query = "SELECT * FROM {$wpdb->prefix}job_chatbox";

		if ( $user ) { $query .= " WHERE uid = {$uid}"; } else {  $query .= " WHERE uid >= 1"; }

		$query .= " ORDER BY id DESC";

		if ( $limited ) {
			$query .= " LIMIT " . ( $pageno - 1 ) * $rows_per_page . ',' . $rows_per_page;
		}

		return $query;
	}

	public function getOrderRow() {
		$r = array( 'all' => '', 'limited' => '', 'lastpage' => '', 'pageno' => '' );

		global $wpdb;

		$rows_per_page = 10;

		if ( isset( $_GET['pj'] ) ) $pageno = $_GET['pj'];
		else $pageno = 1;

		$s1 = $this->getRowQuery( $rows_per_page, $pageno, false );
		$s  = $this->getRowQuery( $rows_per_page, $pageno, true );

		$nr       = count( $wpdb->get_results( $s1 ) );
		$lastpage = ceil( $nr / $rows_per_page );

		$r = array(
			'all'      => $wpdb->get_results( $s ),
			'limited'  => $wpdb->get_results( $s1 ),
			'lastpage' => $lastpage,
			'pageno'   => $pageno,
			'count'    => $nr
		);

		return $r;
	}


	public function deleteTransactionMessage() {
		if ( isset( $_GET['del_mess'] ) ) {
			global $wpdb;

			$message_id = $_GET['del_mess'];

			$chatbox_message = wpj_get_chatbox_message( $message_id );
			if ( $chatbox_message ) {
				$related_order   = wpjobster_get_order( $chatbox_message->oid );

				$query = "DELETE FROM {$wpdb->prefix}job_chatbox WHERE id = {$message_id}";
				$wpdb->query( $query );

				wpj_refresh_user_notifications( wpj_get_seller_id( $related_order ), 'notifications' );
				wpj_refresh_user_notifications( wpj_get_buyer_id( $related_order ), 'notifications' );

				echo '<div class="updated fade">' . __( 'Message was deleted', 'wpjobster' ) . '</div>';
			} else {
				echo '<div class="error fade">' . __( 'Message already deleted', 'wpjobster' ) . '</div>';
			}
		}
	}

}

$cl_tm = new TransactionMessage();
