<?php
add_action( 'wp_ajax_offer_declined', 'wpj_custom_offer_declined' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_offer_declined', 'wpj_custom_offer_declined' ); // ajax for not logged in users
function wpj_custom_offer_declined() {

	if ( isset( $_POST['decline_offer'] ) && $_POST['decline_offer'] == 1 && isset( $_POST['custom_offer'] ) ) {

		$pid = $_POST['custom_offer'];
		$uid = get_current_user_id();

		if ( get_post_meta( $pid, 'offer_buyer', true ) == $uid ) {

			$custom_offer_object = get_post( $pid );

			if ( ! is_demo_user() ) {
				update_post_meta( $pid, 'offer_declined', 1 );

				wpj_notify_user_translated( 'offer_decl', $custom_offer_object->post_author, array( '##private_message_link##' => wpj_get_pm_link( $uid ) ) );
			}
		}

	}

}