<?php
function wpj_user_proposals_list_function( $pg_now = '' ) {

	$pid = get_the_ID();

	$uid = get_current_user_id();

	global $wpdb;
	$row = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}job_pm WHERE custom_offer = {$pid}" );

	if ( $row ) {
		if ( $row->initiator == get_current_user_id() ) {
			$to = $row->user;
		} else {
			$to = $row->initiator;
		}

		$to = ! empty( $to ) ? wpj_get_user_display_type( $to ) : $to;
	} else {
		$to = false;
	}

	if ( ! empty( $row->associate_job_id ) ) {
		$subject = '<a href="' . get_permalink( $row->associate_job_id ) . '">' . __( 'Job', 'wpjobster' ) . '</a>';
	} elseif ( ! empty( $row->associate_request_id ) ) {
		$subject = '<a href="' . get_permalink( $row->associate_request_id ) . '">' . __( 'Request', 'wpjobster' ) . '</a>';
	} else {
		$subject = '<a href="' . wpj_get_pm_link( $to ) . '">' . __( 'Private message', 'wpjobster' ) . '</a>';
	}

	//-> template-parts/pages/custom-offer/page-proposals-list.php
	wpj_get_template( 'pages/custom-offer/page-proposals-list.php',
		array(
			'pg_now'        => $pg_now,
			'pid'           => $pid,
			'post'          => get_post( $pid ),
			'price'         => wpjobster_get_show_price( get_post_meta( $pid, "price", true ) ),
			'max_days'      => get_post_meta( $pid, "max_days", true ),
			'accepted'      => get_post_meta( $pid, "offer_accepted", true ),
			'declined'      => get_post_meta( $pid, "offer_declined", true ),
			'withdrawn'     => get_post_meta( $pid, "offer_withdrawn", true ),
			'expired'       => get_post_meta( $pid, "offer_expired", true ),
			'data_withdraw' => is_user_logged_in() && is_singular( 'request' ) ? 'data-submit="[name=withdraw' . $pid . ']"' : '',
			'data_decline'  => is_user_logged_in() && is_singular( 'request' ) ? 'data-submit="[name=decline' . $pid . ']"' : '',
			'subject'       => $subject
		)
	);

}