<?php
add_action( 'wp_ajax_offer_withdrawn', 'wpj_custom_offer_withdrawn' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_offer_withdrawn', 'wpj_custom_offer_withdrawn' ); // ajax for not logged in users
function wpj_custom_offer_withdrawn() {

	if ( isset( $_POST['withdraw_offer'] ) && $_POST['withdraw_offer'] == 1 && isset( $_POST['custom_offer'] ) ) {

		$pid = $_POST['custom_offer'];
		$uid = get_current_user_id();

		$custom_offer_object = get_post( $pid );

		$user_data = get_userdata( $custom_offer_object->post_author );

		if ( $custom_offer_object->post_author == $uid ) {

			if ( ! is_demo_user() ) {
				update_post_meta( $pid, 'offer_withdrawn', 1 );

				wpj_notify_user_translated( 'offer_withdr', get_post_meta( $pid, 'offer_buyer', true ), array( '##sender_username##' => wpj_get_user_display_type( $user_data->ID ), '##private_message_link##' => wpj_get_pm_link( $uid ) ) );
			}
		}

	}

}