<?php

if ( get_option( 'wpj_brz_autoimport_pages_first_run' ) != 'done' ) {
	update_option( 'wpj_brz_autoimport_pages_first_run', 'done' );

	$brizy_pages = array(
		'main_page_url'                  => 'brizy_page_homepage.xml', // contains an image used in levels and how it works
		'main_page_url_user'             => 'brizy_page_homepage_logged_in.xml',
		'wpjobster_how_it_works_page_id' => 'brizy_page_how_it_works.xml',
		'wpjobster_levels_page_id'       => 'brizy_page_levels.xml',
	);

	foreach ( $brizy_pages as $option_name => $xml_name ) {
		require_once TEMPLATEPATH . '/lib/autoimport/autoimporter.php';
		if ( ! class_exists( 'Auto_Importer' ) ) die( 'Auto_Importer not found' );

		$args = array(
			'file'        => TEMPLATEPATH . '/lib/autoimport/content/' . $xml_name,
			'map_user_id' => 1
		);
		$xml_id = auto_import( $args );

		$xml_query = new WP_Query( array(
				'post_type' => 'page',
				'posts_per_page' => 1,
				'meta_query' => array(
					array(
						'key' => 'wpj_autoimport',
						'value' => $xml_name,
						'compare' => '=',
					)
				)
			)
		);

		if ( isset( $xml_query->posts[0]->ID ) ) {
			update_option( $option_name, $xml_query->posts[0]->ID );
		}
	}
}

