<?php


	// [page] Privacy Policy
	$privacy_policy_page_content = <<<EOT
<h3>1. Introduction</h3>
Thank you for visiting Jobster and, if applicable, choosing to use our Service. We try to make our Privacy Policy easy to understand so that you are informed as to how we use your information. This Privacy Policy, like our Terms of Service, is an integral part of using our Service; therefore you must completely agree to our Privacy Policy in order to use our Site or Service. If you are under 18 please stop using our Service immediately.
<h3>2. Information Collected</h3>
<span style="text-decoration: underline;">Identifying Information Submitted by You</span>

You will not be required to submit any information when visiting our Site. When creating an account, we may collect your name, email, address and country of origin. When purchasing Jobster Theme License you will be required to submit information to our third party payment processor – PayPal. We will not collect any of your payment information, this information will solely be collected and stored by our third party processor.

<span style="text-decoration: underline;">Non-Identifying Information</span>

Whenever you visit our Site, we may collect non-identifying information from you, such as your IP address, interactions with the Site and Service, referring URL, browser, operating system, cookie information, usage, data transferred and Internet Service Provider. Without a subpoena, voluntary compliance on the part of your Internet Service Provider, or additional records from a third party such as your wireless provider, this information alone cannot usually be used to identify you.
<h3>4. Use of Your Information</h3>
We will never sell, transfer or give your information to a third party without your permission. However, you agree that we may use your information:

To enhance or improve our users’ experiences.
To provide our Service to you.
To contact you and to respond to inquiries.
To process transactions.
To register an account and use our Service.

Additionally, we may give your information to law enforcement if we are compelled to by a court order, if there has been a violation of any US laws, EU laws or if a violation of the Terms of Service or Privacy Policy has occurred.
<h3>5. Accessing, Editing, and Removing Your Information</h3>
After creating an account you may be able to edit and/or delete information submitted by contacting <a href="http://wpjobster.com/support/">support</a>. However, you will be unable to opt of our data collection practices. If you want your information to be removed from our database please <a href="http://wpjobster.com/contact/">contact us</a>. We will generally endeavor to delete our database of user information at regular intervals, but we cannot guarantee that your information has been or will be deleted immediately. Although some changes may occur immediately, information may still be stored in a web browser’s cache. We take no responsibility for stored information in your cache, or in other devices that may store information, and disclaim all liability of such.
<h3>6. Cookies</h3>
We use cookies to save your preferences and to remember your shopping cart. For this reason, you must have cookies enabled in your browser to use our Site and Services. Additionally, some or all of our cookies may be accessible by third parties.
<h3>7. Third Party Access to Your Information</h3>
Although you are entering into an Agreement with Jobster to disclose your information to us, we do use third party individuals and organizations to assist us, including contractors, web hosts, and others. Throughout the course of our provision of our Services to you, we may delegate our authority to collect, access, use, and disseminate your information. For example, when you submit a form with personally identifiable information to us, that information will be disseminated or forwarded through our Service to your local law enforcement agency. It is therefore necessary that you grant the third parties we may use in the course of our business the same rights that you afford us under this Privacy Policy. For this reason, you hereby agree that for every authorization which you grant to us in this Privacy Policy, you also grant to any third party that we may hire, contract, or otherwise retain the services of for the purpose of operating, maintaining, repairing, or otherwise improving or preserving our website or its underlying files or systems. You agree not to hold us liable for the actions of any of these third parties, even if we would normally be held vicariously liable for their actions, and that you must take legal action against them directly should they commit any tort or other actionable wrong against you. The following is a non-exhaustive list of other entities that we may store, share, or transfer your information with: PayPal.
<h3>8. Law Enforcement</h3>
You agree that we may disclose your information to authorities if compelled to by a court order. Additionally, you agree that we may disclose your information if we reasonably believe that you have violated a US law or the terms of our Terms of Service or Privacy Policy or if we believe that a third party is at risk of bodily harm. In the event that we receive a subpoena affecting your privacy, we may elect to notify you to give you an opportunity to file a motion to quash the subpoena, or we may attempt to quash it ourselves, but we are not obligated to do either. We may also proactively report you and release your information without receiving any request to third parties where we believe that it is proper to do so for legal reasons, such as instances where we believe your publications violate any law of the United States or any other country having jurisdiction over us, our Site, Services, or our Terms of Service. You release us from any damages that may arise from or relate to the release of your information to a request from law enforcement agencies or private litigants. We may release your information under the conditions listed in this paragraph whether it is to individuals or entities and to any state or Federal authorities within the United States, or elsewhere.
<h3>9. Commercial and Non-Commercial Communications</h3>
By providing information to the Site that forms the basis of communication with you, such as contact information, you waive all rights to file complaints concerning unsolicited email from us, since you have agreed to such communication by providing your information to us. However, you may unsubscribe from certain communications by notifying Jobster that you no longer wish to receive solicitations or information and we will endeavour to remove you from our database where you have the right to request this under our Agreement, Privacy Policy, or applicable law, or where we voluntarily decide to grant the request.
<h3>10. Third Parties</h3>
Jobster may post links to third party websites on our Site or Service, which may include information that we have no control over. When accessing a third party site through our Site or Service, you acknowledge that you are aware that these third party websites are not screened for privacy or security issues by us, and you release us from any liability for the conduct of these third party websites.

Please be aware that this Privacy Policy, and any other policies in place, in addition to any amendments, does not create rights enforceable by third parties. Jobster bears no responsibility for the information collected or used by any advertiser or third party website. You must review their Terms of Service and Privacy to understand how their information collection practices work.
<h3>11. Security Measures</h3>
We use SSL Certificates and vulnerability scanning to enhance the security of our Site and Services. However, we make no guarantees as to the security or privacy of your information. It is in our interest to keep our website secure, but we recommend that you use anti-virus software, routine credit checks, firewalls, and other precautions to protect yourself from security and privacy threats.
<h3>12. Age Compliance</h3>
We intend to fully comply with COPPA and international laws respecting children’s privacy. Therefore, we do not collect or process any information for any persons under the age of 18. If you are under 18 and using our Site or Service, please stop immediately and do not submit any information to us.
<h3>13. International Transfer</h3>
Your information may be transferred to – and maintained on – computers located outside of your state, province, country, or other governmental jurisdiction where the privacy laws may not be as protective as those in your jurisdiction. We may transfer personal information to the United States or elsewhere and process it there. Your consent to this Privacy Policy followed by your submission of such information represents your agreement to that transfer.
<h3>14. Amendments</h3>
Like our Terms of Service, we may amend this Privacy Policy from time to time. When we amend this Privacy Policy, we will place a note on our Site or we may contact you. You must agree to the amendments as a condition of your continued use of our Site and Service. If you do not agree, you must immediately cease using our Site and Service and notify us of your refusal to agree by e-mailing us at support@wpjobster.com.
EOT;
	$privacy_policy_page_id = wpjobster_insert_pages(
		'wpjobster_privacy_policy_page_id',
		'Privacy Policy',
		$privacy_policy_page_content,
		0,
		'page-full-width.php'
	);


	// [page] Terms of Service
	$terms_of_service_page_content = <<<EOT
<h1><span style="font-size: 16px; line-height: 1.5;">These terms and conditions apply when purchasing a Jobster Theme License:</span></h1>
<strong>1. General Usage</strong>

With the purchase of Jobster Theme License, you are entitled to use the theme on one (1) domain only. As a courtesy, we include design files with Jobster Theme — making it easier to meet the needs of your personal site, or providing a Jobster Theme as a base for client work. Our theme is developed with this usage in mind. Jobster retains the right to change the terms and conditions and licensing of this site and our theme at any time.

<strong>2. Guarantee</strong>

Jobster Theme is guaranteed to function correctly upon proper installation, activation and options configuration of the theme within the latest WordPress platform. We can not and do not guarantee compatibility with 3rd party plugins, other then the ones that come bundled with the theme. If for some reason the theme is not working properly, report the issue to our support team, and we will do our best to resolve the problem in a timely manner.

<strong>3. Support Subscription</strong>

With purchase of Jobster theme license you get one (1) year of support and updates. After the initial year has passed you will have an opportunity to pay for an annual support subscription fee. The subscription is for ongoing theme support, updates, maintenance and account access. The subscription renews once per year from the date of purchase at the same rate as the purchased theme license. The subscription may be canceled at any time within your PayPal account. Canceling a subscription will result in suspended access to your Jobster Theme account and suspended access to support resources after one year from your initial purchase date or the last successful subscription renewal. Jobster is not responsible for the failure to cancel a support subscription in the event that it is no longer desired. Canceling a support subscription is the responsibility of the customer.

<strong>Note:</strong> A support subscription is not to be confused with a theme license. Canceling a support subscription will <strong>not</strong> affect your theme in any way.

<strong>4. Support</strong>

Support is provided for a year after the purchase date, or for as long as the annual support subscription is renewed. Support includes the rectifying of issues arising from Jobster Theme features, bug fixes and basic usage questions. We do <strong>not</strong> provide support for the use or issues arising from the use of 3<sup>rd</sup> party plugins, other then the ones that come bundled with the theme; troubleshooting issues occurring in versions of Internet Explorer older than version 9; WordPress itself; or customization. Questions and inquiries should be directed to our support ticketing system.

We are unable to provide support that requires us to view websites with questionable content. Such content includes, but is not limited to, pornography, prostitution, racist content, possible scams, etc.

<strong>Note:</strong> Support is offered Monday through Friday, 9AM to 6PM CEST (GMT+2). Support requests are answered in order received.

<strong>5. Theme Setup Service</strong>

The Theme Setup Service is generally completed within 48 hours from receiving the necessary customer information requested via contact form upon the purchase of the service. The service includes the basic installation of WordPress and/or Jobster Theme, and it includes the setup of the theme <strong>as per the theme demo</strong>. In addition, we may upload and configure a single logo and background/slider image for the site.

The Theme Setup Service does <strong>not</strong> include the creation of pages, posts, content, navigation items or anything outside of the theme demo content. It does <strong>not</strong> include any customizations or changes to the theme code. The Theme Setup Service should <strong>not</strong> be used for established websites with existing content.

<strong>6. Refunds</strong>

We do <strong>not</strong> offer refunds for digital product sales or support subscription renewal fees. All sales are final. If there is an issue regarding a theme, we will address the problem. Unfortunately, there is no effective way for us to both combat fraud and issue refunds. We will be happy to answer questions regarding our theme before your purchase to insure it will meet your needs. Thank you for your understanding.

<strong>7. Licensing</strong>

Jobster theme is sold under a split license. This means that we as authors protect our rights and freedoms to respect (and comply with) the GPL as well as to control our own work.

The Jobster Theme License grants you, the purchaser, an ongoing, non-exclusive, worldwide license to make use of the digital work (Jobster Theme) you have purchased.

You are licensed to use the Item to create one single End Product (website/marketplace) for yourself or for one client (a “single application”). You can create one End Product for a client, and you can transfer that single End Product to your client for any fee. This license is then transferred to your client.

You can modify or manipulate the Jobster Theme. You can combine the Jobster Theme with other works and make a derivative work from it. The resulting works are subject to the terms of this license.

You can’t re-distribute the Jobster Theme as stock, in a tool or template, or with source files. You can’t do this with Jobster Theme on its own or bundled with other items, and even if you modify the Jobster Theme. You can’t re-distribute or make available the Jobster Theme as-is or with superficial modifications.

Although you can modify the Jobster Theme and therefore delete unwanted components, you can’t extract and use a single component of a Jobster Theme on a stand-alone basis.

You can only use the Jobster Theme for lawful purposes. Moreover, you can’t use it in a way that is defamatory, obscene or demeaning, or in connection with sensitive subjects.

<strong>8. Theme Compatibility</strong>

Currently Jobster Theme is designed to function properly with WordPress 3.5 and higher. It is our job to make sure the theme is up to date with the latest versions of WordPress. We cannot guarantee it will work properly on older installations of WordPress. We cannot guarantee the compatibility of our theme with all third party software and plugins. If a conflict does arise, we will do our best resolve the situation. Moreover, we cannot guarantee the Jobster Theme will function correctly after modification to the code, or a failure to install the theme or WordPress properly. Jobster Theme is not compatible with the wordpress.com blogging community. It is developed for individual installations of the WordPress platform.
EOT;
	$terms_of_service_page_id = wpjobster_insert_pages(
		'wpjobster_terms_of_service_page_id',
		'Terms of Service',
		$terms_of_service_page_content,
		0,
		'page-full-width.php'
	);


	// News
	$lipsum = <<<EOT
Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
EOT;
	$news_demo_1 = array(
		'post_title'   => 'Lorem Ipsum News One',
		'post_content' => $lipsum,
		'post_status'  => 'publish',
		'post_type'    => 'news',
		'post_author'  => 1,

	);
	$news_demo_1_id = wp_insert_post( $news_demo_1 );
	set_post_thumbnail( $news_demo_1_id, wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/news-demo-1.jpeg', $news_demo_1_id ) );

	$news_demo_2 = array(
		'post_title'   => 'Lorem Ipsum News Two',
		'post_content' => $lipsum,
		'post_status'  => 'publish',
		'post_type'    => 'news',
		'post_author'  => 1,

	);
	$news_demo_2_id = wp_insert_post( $news_demo_2 );
	set_post_thumbnail( $news_demo_2_id, wpjobster_acf_update_image_field_remote( '', 'https://democontent.wpjobster.com/demo1/uploads/news-demo-2.jpg', $news_demo_2_id ) );



	// options for pages
	if ( get_option( 'wpjobster_update_380_default_options_acf' ) != 'done'
		&& get_option( 'wpjobster_sql_10extras' ) != 'done' ) {
		if ( function_exists( 'update_field' ) ) {

			update_field( 'post_new_job_page_url', get_post( get_option( 'wpjobster_post_new_page_id', false ) ), 'options' );
			update_field( 'how_it_works_page_url', get_post( get_option( 'wpjobster_how_it_works_page_id', false ) ), 'options' );

			update_field( 'primary_color', '#83C124', 'options' );
			update_field( 'secondary_color', '#2d5767', 'options' );

			update_option( 'wpjobster_update_380_default_options_acf', 'done' );
		}
	}



	// job categories
	function wpjobster_create_demo_categories() {

		$categories_to_insert = array(
			array( 'Other',
				array(
				)
			),
			array( 'Business',
				array( 'Analysis', 'Business plan', 'Finances', 'Legal advice', 'Other', 'Presentations', 'Virtual assistant',
				)
			),
			array( 'Graphics & Design',
				array( 'Architecture', 'Banners', 'Business cards', 'Caricatures', 'Flyers & Posters', 'Illustrations', 'Logo design', 'Other', 'Photoshop', 'Web design',
				)
			),
			array( 'Lifestyle',
				array( 'Beauty & Fashion', 'Health & Fitness', 'Horoscope & Tarot', 'Other', 'Psychotherapy',
				)
			),
			array( 'Marketing',
				array( 'Advertisments', 'Internet marketing', 'Other', 'Photo models',
				)
			),
			array( 'Online classes & Teaching',
				array( 'Languages', 'Music & Instruments', 'Other', 'Science',
				)
			),
			array( 'Programming & IT',
				array( '.NET', 'HTML & CSS', 'Joomla & Drupal', 'MySQL', 'Other', 'PHP', 'WordPress',
				)
			),
			array( 'Video & Audio',
				array( 'Animation & 3D', 'Commercials', 'Jingles', 'Other', 'Postproduction', 'Sound effects', 'Video spokesperson', 'Voice-over',
				)
			),
			array( 'Writing & Translation',
				array( 'Copywriting', 'Other', 'Press release', 'Proofreading & Editing', 'Resumes', 'Student Papers', 'Translation', 'Web content',
				)
			),
		);

		foreach ( $categories_to_insert as $category ) {

			$category_name = $category[0];
			$subcategories_to_insert = $category[1];

			$this_cat = array(
				'cat_name'        => $category_name,
				'category_parent' => '',
				'taxonomy'        => 'job_cat'
			);

			$this_cat_id = wp_insert_category( $this_cat );

			if ( $this_cat_id != false
				&& isset( $subcategories_to_insert )
				&& ! empty( $subcategories_to_insert ) ) {

				foreach ( $subcategories_to_insert as $subcategory_name ) {

					$this_subcat = array(
						'cat_name'        => $subcategory_name,
						'category_parent' => $this_cat_id,
						'taxonomy'        => 'job_cat'
					);

					$this_subcat_id = wp_insert_category( $this_subcat );
				}
			}
		}
	}

	add_action( 'admin_init','wpjobster_create_demo_categories' );


	// menus
	function wpjobster_create_demo_menus() {

		$menu_name = 'Custom Links Menu Test';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'   =>  __('Home'),
					'menu-item-classes' => 'home',
					'menu-item-url'     => home_url( '/' ),
					'menu-item-status'  => 'publish'
				)
			);

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'  =>  __('Custom Page'),
					'menu-item-url'    => home_url( '/custom/' ),
					'menu-item-status' => 'publish'
				)
			);
		}


		$menu_name = 'Header Main Menu';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			$header_menu_categories = array(
				'graphics-design', 'programming-it', 'video-audio', 'marketing', 'business', 'writing-translation', 'online-classes-teaching', 'lifestyle', 'other',
			);

			foreach ( $header_menu_categories as $slug ) {
				$this_term = get_term_by( 'slug', $slug, 'job_cat' );
				if ( ! empty( $this_term ) ) {
					if ( $slug == 'online-classes-teaching' ) {
						$this_term_name = 'Online Classes';
					} else {
						$this_term_name = $this_term->name;
					}
					wp_update_nav_menu_item( $menu_id, 0, array(
							'menu-item-object-id' => $this_term->term_id,
							'menu-item-object'    => 'job_cat',
							'menu-item-type'      => 'taxonomy',
							'menu-item-title'     => $this_term_name,
							'menu-item-status'    => 'publish'
						)
					);
				}
			}
		}


		$menu_name   = 'Header User Dropdown Extra';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			$page_id = get_option( 'wpjobster_my_account_reviews_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-title'     => 'Feedback',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}

		$menu_name = 'Header User Account Menu';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			$pages = array(
				get_option( 'wpjobster_my_account_page_id', false ),
				get_option( 'wpjobster_my_account_shopping_page_id', false ),
				get_option( 'wpjobster_my_account_sales_page_id', false ),
				get_option( 'wpjobster_my_account_payments_page_id', false ),
				get_option( 'wpjobster_my_account_priv_mess_page_id', false ),
				get_option( 'wpjobster_my_account_personal_info_page_id', false ),
				get_option( 'wpjobster_my_account_reviews_page_id', false )
			);

			if ( $pages ) {
				foreach ($pages as $page) {
					wp_update_nav_menu_item( $menu_id, 0, array(
							'menu-item-object-id' => $page,
							'menu-item-type'      => 'post_type',
							'menu-item-object'    => 'page',
							'menu-item-title'     => get_the_title( $page ),
							'menu-item-status'    => 'publish'
						)
					);
				}
			}
		}


		$menu_name = 'C1 Footer Menu - Logged In';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			$page_id = get_option( 'wpjobster_my_account_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}

			$page_id = get_option( 'wpjobster_post_new_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}


		$menu_name = 'C2 Footer Menu - Logged In';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'  =>  'Requests',
					'menu-item-url'    => home_url( '/request/' ),
					'menu-item-status' => 'publish'
				)
			);

			$page_id = get_option( 'wpjobster_my_requests_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}


		$menu_name = 'C1 Footer Menu';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'  =>  'Home',
					'menu-item-url'    => home_url( '/' ),
					'menu-item-status' => 'publish'
				)
			);

			$page_id = get_option( 'wpjobster_how_it_works_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}


		$menu_name = 'C2 Footer Menu';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'   =>  'Login',
					'menu-item-classes' => 'login-link',
					'menu-item-url'     => home_url( '/wp-login.php' ),
					'menu-item-status'  => 'publish'
				)
			);

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'   =>  'Register',
					'menu-item-classes' => 'register-link',
					'menu-item-url'     => home_url( '/wp-login.php?action=register' ),
					'menu-item-status'  => 'publish'
				)
			);
		}


		$menu_name   = 'C3 Footer Useful Links';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			wp_update_nav_menu_item( $menu_id, 0, array(
					'menu-item-title'  =>  'News',
					'menu-item-url'    => home_url( '/news/' ),
					'menu-item-status' => 'publish'
				)
			);

			$page_id = get_option( 'wpjobster_levels_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}


		$menu_name = 'C4 Footer Useful Links';
		$menu_exists = wp_get_nav_menu_object( $menu_name );

		if ( ! $menu_exists ) {
			$menu_id = wp_create_nav_menu( $menu_name );

			$page_id = get_option( 'wpjobster_terms_of_service_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}

			$page_id = get_option( 'wpjobster_privacy_policy_page_id', false );
			if ( $page_id ) {
				wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-object-id' => $page_id,
						'menu-item-type'      => 'post_type',
						'menu-item-object'    => 'page',
						'menu-item-status'    => 'publish'
					)
				);
			}
		}


		$menu_name = array( 'C5 Footer Social', 'Social Media Menu' );
		foreach ( $menu_name as $key => $menu ) {
			$menu_exists = wp_get_nav_menu_object( $menu );

			if ( ! $menu_exists ) {
				$menu_id = wp_create_nav_menu( $menu );

				$menu_item_id = wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-title'  =>  'Facebook',
						'menu-item-url'    => '#',
						'menu-item-status' => 'publish'
					)
				);
				$menu_icon_array = array(
					'type'                  => 'dashicons',
					'dashicons-icon'        => 'dashicons-facebook-alt',
					'elusive-icon'          => '',
					'fa-icon'               => '',
					'foundation-icons-icon' => '',
					'genericon-icon'        => '',
					'image-icon'            => '',
					'hide_label'            => '',
					'position'              => 'before',
					'image_size'            => 'full',
					'vertical_align'        => 'middle',
					'font_size'             => '1.2',
				);
				update_post_meta( $menu_item_id, 'menu-icons', $menu_icon_array );

				$menu_item_id = wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-title'  =>  'Twitter',
						'menu-item-url'    => '#',
						'menu-item-status' => 'publish'
					)
				);
				$menu_icon_array = array(
					'type'                  => 'dashicons',
					'dashicons-icon'        => 'dashicons-twitter',
					'elusive-icon'          => '',
					'fa-icon'               => '',
					'foundation-icons-icon' => '',
					'genericon-icon'        => '',
					'image-icon'            => '',
					'hide_label'            => '',
					'position'              => 'before',
					'image_size'            => 'full',
					'vertical_align'        => 'middle',
					'font_size'             => '1.2',
				);
				update_post_meta( $menu_item_id, 'menu-icons', $menu_icon_array );

				$menu_item_id = wp_update_nav_menu_item( $menu_id, 0, array(
						'menu-item-title'  =>  'Google+',
						'menu-item-url'    => '#',
						'menu-item-status' => 'publish'
					)
				);
				$menu_icon_array = array(
					'type'                  => 'dashicons',
					'dashicons-icon'        => 'dashicons-googleplus',
					'elusive-icon'          => '',
					'fa-icon'               => '',
					'foundation-icons-icon' => '',
					'genericon-icon'        => '',
					'image-icon'            => '',
					'hide_label'            => '',
					'position'              => 'before',
					'image_size'            => 'full',
					'vertical_align'        => 'middle',
					'font_size'             => '1.2',
				);
				update_post_meta( $menu_item_id, 'menu-icons', $menu_icon_array );
			}
		}

		$locations = array(
			'wpjobster_header_main_menu'           => 0,
			'wpjobster_header_secondary_menu'      => 0,
			'wpjobster_header_user_dropdown_extra' => 0,
			'wpjobster_header_user_account_menu'   => 0,
			'wpjobster_responsive_main_menu'       => 0,
			'wpjobster_responsive_secondary_menu'  => 0,
		);

		if ( ! empty( $locations ) ) {
			foreach ( $locations as $locationId => $menuValue ) {
				switch ( $locationId ) {
					case 'wpjobster_header_main_menu':
						$menu = get_term_by( 'name', 'Header Main Menu', 'nav_menu' );
					break;

					case 'wpjobster_responsive_secondary_menu':
						$menu = get_term_by( 'name', 'Header Main Menu', 'nav_menu' );
					break;

					case 'wpjobster_header_user_dropdown_extra':
						$menu = get_term_by( 'name', 'Header User Dropdown Extra', 'nav_menu' );
					break;

					case 'wpjobster_header_user_account_menu':
						$menu = get_term_by( 'name', 'Header User Account Menu', 'nav_menu' );
					break;

					default:
						$menu = '';
					break;
				}

				if ( $menu ) {
					$locations[$locationId] = $menu->term_id;
				} else {
					$locations[$locationId] = 0;
				}
			}
			set_theme_mod( 'nav_menu_locations', $locations );
		}
	}

	add_action( 'admin_init', 'wpjobster_create_demo_menus' );



	// Widgets
	function wpjobster_import_demo_content_menu_in_widgets() {

		update_option( 'wpjobster_set_footer_widgets_content_504', 'done' );
		update_option( 'wpjobster_set_footer_social_media_content_541', 'done' );
		update_option( 'wpj_replace_old_social_media_541', 'done' );

		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'User Menu', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c1-footer-menu' ) ), 'footer-widget-1' );
		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'User Menu', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c1-footer-menu-logged-in' ) ), 'footer-widget-1-logged-in' );

		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Requests', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c2-footer-menu' ) ), 'footer-widget-2' );
		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Requests', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c2-footer-menu-logged-in' ) ), 'footer-widget-2-logged-in' );

		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Useful Links', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c3-footer-useful-links' ) ), 'footer-widget-3' );
		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Useful Links', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c3-footer-useful-links' ) ), 'footer-widget-3-logged-in' );

		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Legal', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c4-footer-useful-links' ) ), 'footer-widget-4' );
		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Legal', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'c4-footer-useful-links' ) ), 'footer-widget-4-logged-in' );

		wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5' );
		wpjobster_insert_widget_in_sidebar( 'text', array( 'title' => 'Categories', 'text' => "[wpj_list_categories taxonomy=job_cat show_childs=0 hide_empty=0]" ), 'footer-widget-5-logged-in' );

		wpjobster_insert_widget_in_sidebar( 'nav_menu', array( 'title' => 'Follow us on:', 'nav_menu' => wpjobster_get_menu_id_by_slug( 'social-media-menu' ) ), 'social-media-widgets-area' );
	}

	add_action( 'admin_init','wpjobster_import_demo_content_menu_in_widgets' );



	// Slider Revolution
	function wpjobster_import_rev_sliders() {

		$absolute_path = __FILE__;
		$path_to_file  = explode( 'wp-content', $absolute_path );
		$path_to_wp    = $path_to_file[0];

		require_once( $path_to_wp . '/wp-load.php' );
		require_once( $path_to_wp . '/wp-includes/functions.php' );

		// Gives us access to the download_url() and wp_handle_sideload() functions
		// require_once( ABSPATH . 'wp-admin/includes/file.php' );

		$slider_urls = array(
			'http://democontent.wpjobster.com/demo1/sliders/home.zip',
			'http://democontent.wpjobster.com/demo1/sliders/logged-in-home.zip',
			'http://democontent.wpjobster.com/gutenberg/demo1/sliders/gutenberg-home.zip',
		);
		$timeout_seconds = 30;

		$slider_array = array();
		foreach( $slider_urls as $slider_url ) {
			// Download file to temp dir
			$temp_file = download_url( $slider_url, $timeout_seconds );

			if ( !is_wp_error( $temp_file ) ) {

				// Array based on $_FILE as seen in PHP file uploads
				$file = array(
					'name'     => basename($slider_url), // ex: wp-header-logo.png
					'type'     => 'application/zip',
					'tmp_name' => $temp_file,
					'error'    => 0,
					'size'     => filesize($temp_file),
				);

				$overrides = array(
					// Tells WordPress to not look for the POST form
					// fields that would normally be present as
					// we downloaded the file from a remote server, so there
					// will be no form fields
					// Default is true
					'test_form' => false,

					// Setting this to false lets WordPress allow empty files, not recommended
					// Default is true
					'test_size' => true,
				);

				// Move the temporary file into the uploads directory
				$results = wp_handle_sideload( $file, $overrides );

				if ( !empty( $results['error'] ) ) {
					// Insert any error handling here
				} else {

					$filename  = $results['file']; // Full path to the file
					$local_url = $results['url'];  // URL to the file in the uploads dir
					$type      = $results['type']; // MIME type of the file

					// Perform any actions here based in the above results
					$slider_array[] = $filename;
				}
			}
		}

		$slider = new RevSlider();

		foreach( $slider_array as $filepath ) {
			$slider->importSliderFromPost( true, true, $filepath );
		}
	}

	add_action( 'admin_notices', 'wpjobster_import_rev_sliders', 11 );

