<?php
function wpj_add_shortcode( $tag, $func ) {
	if ( ! is_admin() ) {
		add_shortcode( $tag, $func );
	} else {
		return;
	}
}

// FUNCTIONS
include_once get_template_directory() . '/includes/shortcodes/shortcodes-badges.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-category.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-count.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-email.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-general.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-job.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-levels.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-news.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-posts.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-request.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-search.php';
include_once get_template_directory() . '/includes/shortcodes/shortcodes-user.php';

// MY ACCOUNT
wpj_add_shortcode( 'wpjobster_theme_my_account_reviews'          , 'wpjobster_my_account_reviews_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_shopping'         , 'wpjobster_my_account_shopping_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_all_notifications', 'wpjobster_my_account_all_notifications_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_personal_info'    , 'wpjobster_my_account_pers_info_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_sales'            , 'wpjobster_my_account_sales_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_payments'         , 'wpjobster_my_account_payments_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account'                  , 'wpjobster_my_account_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_favorites'                , 'wpjobster_my_favorites_area_function' );
wpj_add_shortcode( 'wpjobster_theme_my_account_priv_mess'        , 'wpjobster_my_account_priv_mess_area_function' );

// SEARCH
wpj_add_shortcode( 'wpjobster_theme_search_jobs'    , 'wpjobster_adv_src_area_function' );
wpj_add_shortcode( 'wpjobster_theme_search_requests', 'wpjobster_adv_req_src_area_function' );

// JOB
wpj_add_shortcode( 'wpjobster_add_edit_job', 'wpj_add_or_edit_job_function' );

// REQUEST
wpj_add_shortcode( 'wpjobster_theme_my_requests', 'wpj_display_user_requests_function' );

// CATEGORIES
wpj_add_shortcode( 'wpjobster_theme_all_categories', 'wpjobster_all_cats_area_function' );

// SUBSCRIPTIONS
wpj_add_shortcode( 'wpjobstersubscriptions', 'wpjobstersubscriptions_function' );
