<?php
function wpj_show_add_to_favorite_btn( $delete_text = '', $add_text = '', $post_id = '' ) {

	global $site_url_localized;

	$post_id = $post_id ? $post_id : get_the_ID();

	$number       = upb_get_bookmark_count( $post_id );
	$number_plus  = $number + 1;
	$number_minus = $number - 1;

	if ( $delete_text == '' || $add_text == '' ) {
		$add_text    = '<div class="bookmark-icon bookmark-add tooltip"><span>' . $number . '</span></div>';
		$delete_text = '<div class="bookmark-icon bookmark-remove tooltip"><span>' . $number . '</span></div>';
		$add_text_minus   = '<div class="bookmark-icon bookmark-add tooltip"><span>' . $number_minus . '</span></div>';
		$delete_text_plus = '<div class="bookmark-icon bookmark-remove tooltip"><span>' . $number_plus . '</span></div>';
	} else {
		$add_text_minus = $add_text;
		$delete_text_plus = $delete_text;
	}

	if ( is_user_logged_in() ) {

		$link = '<div class="upb_add_remove_links">';

			if ( upb_check_post_is_read( $post_id, upb_get_user_id() ) ) {

				$link .= '<a href="#" rel="' . $post_id . '" class="upb_del_bookmark upb_bookmark_control upb_bookmark_control_' . $post_id . '"><div class="full-heart"></div>' . $delete_text . '</a>';

				$link .= '<a href="#" rel="' . $post_id . '" class="upb_add_bookmark upb_bookmark_control upb_bookmark_control_' . $post_id . '" style="display:none;"><div class="empty-heart"></div>' . $add_text_minus . '</a>';

			} else {

				$link .= '<a href="#" rel="' . $post_id . '" class="upb_del_bookmark upb_bookmark_control upb_bookmark_control_' . $post_id . '" style="display:none;"><div class="full-heart"></div>' . $delete_text_plus . '</a>';

				$link .= '<a href="#" rel="' . $post_id . '" class="upb_add_bookmark upb_bookmark_control upb_bookmark_control_' . $post_id . '"><div class="empty-heart"></div>' . $add_text . '</a>';

			}

		$link .= '</div>';

	} else {

		$link = '<div class="upb_add_remove_links">';

			$link .= '<a href="' . $site_url_localized . '/wp-login.php" rel="' . $post_id . '" class="login-link"><div class="empty-heart"></div><span>' . $add_text . '</span></a>';

		$link .= '</div>';

	}

	return $link;
}
