<?php
// Show only job posts
add_filter( 'pre_get_posts', 'wpjobster_my_get_posts' );
function wpjobster_my_get_posts( $query ) {
	if ( is_home() && $query->is_main_query() ) { // is posts page
		$query->set( 'post_type', array( 'job' ) );
	}

	return $query;
}

function wpjobster_job_fake_queue( $pid ) {
	$fake_queue      = get_post_meta( get_the_ID(), "fake_queue", true );
	$fake_queue_rand = get_post_meta( get_the_ID(), "fake_queue_rand", true );
	$fake_queue_exp  = get_post_meta( get_the_ID(), "fake_queue_exp", true );

	if ( $fake_queue ) {
		if ( $fake_queue_exp > current_time( 'timestamp', 1 ) ) {
			return $fake_queue_rand;
		} else {
			$rand = $fake_queue + rand( 0, round( $fake_queue / 3 ) );

			update_post_meta( $pid, 'fake_queue_exp', strtotime( "+3 days" ) );
			update_post_meta( $pid, 'fake_queue_rand', $rand );

			return $rand;
		}
	} else {
		return 0;
	}
}
