<?php
function wpj_mark_delivered( $orderid = '', $gateway = '' ) {
	if ( ! $gateway ) {
		if( ! is_user_logged_in() ) { wp_redirect( get_bloginfo( 'url' ) . "/wp-login.php?redirect_to=" . urlencode( get_permalink() ) ); exit; }
	}

	global $current_user;
	$current_user = wp_get_current_user();

	global $wp_query, $wpdb;

	if( ! $orderid ) { $orderid = $_GET['oid']; }

	$s = "select distinct * from ".$wpdb->prefix."job_orders where id='$orderid'";
	$r = $wpdb->get_results( $s );
	$row = $r[0];
	$post = get_post( $row->pid );
	$pid = $row->pid;
	$ccc = __( 'Delivered', 'wpjobster' );
	$uid_to_send = $row->uid;

	do_action( 'wpj_before_order_marked_as_delivered', $orderid );

	if ( ( $post->post_author == $current_user->ID || $gateway ) && $row->closed != 1 && $row->request_cancellation_from_seller != 1 && $row->request_cancellation_from_buyer != 1 ) {
		if ( ! is_demo_user() ) {
			$order_arr = wpjobster_get_order( $orderid );

			if ( $order_arr->done_seller != 1 ) {
				$tm = current_time( 'timestamp', 1 );
				$s = "update " . $wpdb->prefix . "job_orders set done_seller='1', date_finished='$tm' where id='$orderid' ";
				$wpdb->query( $s );

				$wpdb->insert(
					$wpdb->prefix . 'job_chatbox',
					array(
						'datemade' => current_time( 'timestamp', 1 ),
						'uid'      => -1,
						'oid'      => $orderid,
						'content'  => $ccc
					),
					array( '%d', '%d', '%d', '%s' )
				);

				$this_notification = $wpdb->insert_id;
				wpj_update_user_notifications( $uid_to_send, 'notifications', +1, $this_notification );

				if ( wpj_is_custom_offer( $row->pid ) ) {
					wpj_custom_offer_delivered( $row->pid, $orderid, $uid_to_send );
				} else {
					$user_data = get_userdata( get_current_user_id() );
					$current_order = wpjobster_get_order( $orderid );

					wpj_notify_user_translated( 'order_delivered', $uid_to_send, array(
						'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
						'##transaction_page_link##' => wpj_get_order_link( $orderid ),
						'##job_name##'              => $post->post_title,
						'##job_link##'              => urldecode( get_permalink( $pid ) )
					) );
				}
			}
		}

		do_action( 'wpj_after_order_marked_as_delivered', $orderid );

		$ce = wpj_get_custom_extras( $orderid );
		if ( $ce ) {
			foreach ( $ce as $key => $c_extra ) {
				if ( $c_extra->payment_gateway_transaction_id ) {
					do_action( 'wpj_after_order_marked_as_delivered', $orderid, $c_extra->payment_gateway_transaction_id );
				}
			}
		}

		wp_redirect( get_bloginfo( 'url' ) . '?jb_action=chat_box&oid=' . $orderid ); exit;
	}

	wp_redirect( get_bloginfo( 'url' ) ); exit;
}
