<?php
add_action( 'wp_ajax_nopriv_request_modification', 'wpj_request_modification_fnc' );
add_action( 'wp_ajax_request_modification', 'wpj_request_modification_fnc' );
function wpj_request_modification_fnc(){

	global $wpdb, $wp_rewrite, $wp_query;

	$orderid = ( isset( $_POST['oid'] ) && $_POST['oid'] ) ? $_POST['oid'] : '';
	$tm      = current_time( 'timestamp', 1 );
	$message = ( isset( $_POST['message_request_modification'] ) && $_POST['message_request_modification'] ) ? addslashes($_POST['message_request_modification']) : '';

	if ( $orderid ) {

		$r = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_orders WHERE id = '{$orderid}'" );
		if ( $r && ! is_demo_user() ) {
			$pid  = $r[0]->pid;
			$post = get_post( $pid );

			$result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_chatbox WHERE content = '{$message}' AND uid = '-15' AND oid = {$orderid}" );

			if ( $wpdb->num_rows <= 0 ) {

				// Insert to orders
				$wpdb->query( "UPDATE {$wpdb->prefix}job_orders SET message_request_modification = '{$message}', request_modification = '1', date_request_modification = '{$tm}', done_seller = '0', date_finished = '0' WHERE id = '{$orderid}'" );

				// Insert to chatbox
				$wpdb->insert(
					$wpdb->prefix . 'job_chatbox',
					array(
						'datemade' => current_time( 'timestamp', 1 ),
						'uid'      => -15,
						'oid'      => $orderid,
						'content'  => $message
					),
					array( '%d', '%d', '%d', '%s' )
				);

				// Update notifications
				$this_notification = $wpdb->insert_id;
				wpj_update_user_notifications( $post->post_author, 'notifications', +1, $this_notification );

				// Send emails
				if ( wpj_is_custom_offer( $pid ) ) {
					wpj_custom_offer_modified( $pid, $orderid, $post->post_author );
				} else {
					$user_data = get_userdata( get_current_user_id() );
					$current_order = wpjobster_get_order( $orderid );

					wpj_notify_user_translated( 'mod_buyer', $post->post_author, array(
						'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
						'##transaction_page_link##' => wpj_get_order_link( $orderid ),
						'##job_name##'              => $post->post_title,
						'##job_link##'              => urldecode( get_permalink( $pid ) )
					) );
				}

			}
		}
	}
}
