<?php
function wpj_get_wpjobster_plugins_list( $ret_part = array(), $ret_as_folder = false ) {

	$extensions = $gateways = $withdrawals = array();

	if ( ! $ret_part || in_array( 'extensions', $ret_part ) ) {

		$extensions = array(
			'wpjobster-1updater',
			'wpjobster-mobile-api',
			'wpjobster-demo-admin',
			'wpjobster-account-segregation',
			'wpjobster-discounts',
			'wpjobster-seller-notifications',
			'wpjobster-invoices',
			'wpjobster-affiliate',
			'wpjobster-category-price',
			'wpjobster-category-tax',
			'wpjobster-user-ban',
			'wpjobster-booking',
			'wpjobster-milestone'
		);

	}

	if ( ! $ret_part || in_array( 'gateways', $ret_part ) ) {

		$gateways = array(
			'wpjobster-2checkout',
			'wpjobster-aamarpay',
			'wpjobster-apps-payfast',
			'wpjobster-authorize',
			'wpjobster-besteron',
			'wpjobster-bitpay',
			'wpjobster-braintree',
			'wpjobster-cashenvoy',
			'wpjobster-cashu',
			'wpjobster-ccavenue',
			'wpjobster-coingate',
			'wpjobster-easypay',
			'wpjobster-ebanx',
			'wpjobster-gopay',
			'wpjobster-gpwebpay',
			'wpjobster-inipay',
			'wpjobster-inipay-web-standard',
			'wpjobster-instamojo',
			'wpjobster-ipay88',
			'wpjobster-midtrans',
			'wpjobster-mobilpay',
			'wpjobster-mollie',
			'wpjobster-molpay',
			'wpjobster-moyasar',
			'wpjobster-pagseguro',
			'wpjobster-paycomet',
			'wpjobster-payfast',
			'wpjobster-payfort',
			'wpjobster-paytabs',
			'wpjobster-payumoney',
			'wpjobster-payza',
			'wpjobster-perfectmoney',
			'wpjobster-pesapal',
			'wpjobster-quickpay',
			'wpjobster-robokassa',
			'wpjobster-sample-gateway',
			'wpjobster-senangpay',
			'wpjobster-sisow',
			'wpjobster-stripe',
			'wpjobster-tigopesa',
			'wpjobster-webpay',
			'wpjobster-wirecard',
			'wpjobster-zoop'
		);

	}

	if ( ! $ret_part || in_array( 'withdrawals', $ret_part ) ) {

		$withdrawals = array(
			'wpjobster-payoneer-withdrawal',
			'wpjobster-transferwise-withdrawal'
		);

	}

	$plugins = array_merge( $extensions, $gateways, $withdrawals );

	if ( $ret_as_folder ) {
		return apply_filters( 'wpj_plugins_folder_list_filter', $plugins );
	}

	$plugins_array = array();
	foreach ( $plugins as $key => $plugin ) {
		$plugins_array[] = $plugin . '/' . $plugin . '.php';
	}

	return apply_filters( 'wpj_plugins_list_filter', $plugins_array );
}