<?php
add_action('widgets_init', 'wpjobster_framework_init_widgets');
if ( ! function_exists( 'wpjobster_framework_init_widgets' ) ) {
	function wpjobster_framework_init_widgets() {
		register_sidebar(
			array(
				'name'          => __( 'wpjobster - Page Sidebar', 'wpjobster' ),
				'id'            => 'page-widgets-area',
				'description'   => __( 'This sidebar is placed on the default pages.', 'wpjobster' ),
				'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
				'after_widget'  => '</li>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>'
			)
		);
		register_sidebar(
			array(
				'name'          => __( 'wpjobster - Job Single', 'wpjobster' ),
				'id'            => 'single-job-widgets-area',
				'description'   => __( 'This sidebar is placed on the single job on the right bottom side.', 'wpjobster' ),
				'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
				'after_widget'  => '</li>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>'
			)
		);
		register_sidebar(
			array(
				'name'          => __( 'wpjobster - Categories Top', 'wpjobster', 'wpjobster' ),
				'id'            => 'category-top-widgets-area',
				'description'   => __( 'This sidebar is placed on the top side of the category pages.', 'wpjobster' ),
				'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
				'after_widget'  => '</li>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>'
			)
		);
		register_sidebar(
			array(
				'name'          => __( 'wpjobster - Categories Bottom', 'wpjobster', 'wpjobster' ),
				'id'            => 'category-bottom-widgets-area',
				'description'   => __( 'This sidebar is placed on the bottom side of the category pages.', 'wpjobster' ),
				'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
				'after_widget'  => '</li>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>'
			)
		);
		register_sidebar(
			array(
				'name'          => __( 'wpjobster - Social Media', 'wpjobster', 'wpjobster' ),
				'id'            => 'social-media-widgets-area',
				'description'   => __( 'This sidebar is placed on the bottom side of the footer.', 'wpjobster' ),
				'before_widget' => '<div class="social-media-widgets-area">',
				'after_widget'  => '</div>',
				'before_title'  => '<h2 class="widget-title">',
				'after_title'   => '</h2>',
			)
		);
	}
}
