<?php // USER COMPANY

add_action( 'personal_options', 'wpj_user_company_on_backend_user_edit', 1 );
function wpj_user_company_on_backend_user_edit( $user ) {
	if ( get_option( 'wpjobster_enable_user_company' ) == 'yes' ) { ?>
			<table class="form-table">
				<tr>
					<th><label for="user_company"><?php _e( "Company Name", "wpjobster" ); ?></label></th>
					<td>
						<input type="text" name="user_company" id="user_company" class="regular-text"
							value="<?php echo esc_attr( get_the_author_meta( 'user_company', $user->ID ) ); ?>" /><br />
						<span class="description"><?php _e( "Please enter your company name.", "wpjobster" ); ?></span>
					</td>
				</tr>
			</table>
		<?php
	}
}

add_action( 'zm_ajax_login_after_successfull_registration', 'save_user_company_frontend' );
add_action( 'wpjobster_user_profile_extra_fields_update', 'save_user_company_frontend' );
function save_user_company_frontend( $user_id ) {
	if ( get_option( 'wpjobster_enable_user_company' ) == 'yes' ) {
		if ( isset( $_POST['user_company'] ) ) {
			update_user_meta( $user_id, 'user_company', $_POST['user_company'] );
		}
	}
}

add_action( 'personal_options_update', 'save_user_company_backend' );
add_action( 'edit_user_profile_update', 'save_user_company_backend' );
function save_user_company_backend( $user_id ) {
	if ( get_option( 'wpjobster_enable_user_company' ) == 'yes' ) {
		$saved = false;
		if ( current_user_can( 'edit_user', $user_id ) ) {
			if ( isset( $_POST['user_company'] ) ) {
				update_user_meta( $user_id, 'user_company', $_POST['user_company'] );
			}

			$saved = true;
		}

		return true;
	}
}
