<?php
if ( $process_action != '' ) {
	if ( ! class_exists( 'wpjobster_common_topup' ) ) {
			include_once get_template_directory() . '/lib/gateways/wpjobster_common_topup.php';
			$wct = new WPJ_Common_Topup( $sk );
		}

		if ( $sk == 'paypal' ) {
			if ( class_exists( 'WPJobster_PayPal_Loader' ) ) {
				$paypalClass = new WPJobster_PayPal_Loader();
			}
		} else {
			if ( ! class_exists( 'wpjobster_'.$sk ) && file_exists( get_template_directory() . '/lib/gateways/wpjobster_' . $sk . '.php' ) ) {
				include_once get_template_directory() . '/lib/gateways/wpjobster_' . $sk . '.php';
			}
		}

		if ( $action == 'payment' ) {
			$wct->get_package( $wct->_package_id );

			$price = $wct->_package_cost;
			$price_original = $wct->_package_cost_original;
			$currency = apply_filters( "wpjobster_take_allowed_currency_$sk", $wct->_currency );

			$details['pid'] = $wct->_package_id;
			$details['uid'] = $wct->_current_user->ID;
			$order_id       = $wct->insert_topup_prchase(
				array(
					"package_id"           => $wct->_package_id,
					"package_amount"       => $price,
					"payment_gateway_name" => $sk,
					"user_id"              => $uid,
					"price_original"       => $price_original,
					"currency"             => $currency
				)
			);
			$details['title']                          = $details['job_title'] = $wct->_package_description_credit;

			if ( $currency != '' && $currency != wpjobster_get_currency() ) {
				$details['wpjobster_final_payable_amount'] = wpjobster_formats_special_exchange( $price_original, '1', $currency );
			} else {
				$details['wpjobster_final_payable_amount'] = wpjobster_formats_special_exchange( $price_original );
			}

			$details['price']                          = $price;
			$details['selected']                       = $currency;
			$details['current_user']                   = $wct->_current_user;
			$details['order_id']                       = $order_id;

			do_action($process_action,'topup',$details);
		}

		if ( $action == 'process_payment' ) {
			$accepted_request_param = apply_filters( 'wpj_payment_response_accepted_params', array() );

			if ( ! empty( $_POST ) || WPJ_Form::get( 'action', '' ) == 'cancel' || wpj_array_in_URI( $accepted_request_param ) ) {
				do_action( $process_action, 'topup', $wct );
			} else {
				if ( isset( $_GET['wpj_payment_id'] ) ) {
					$payment = wpj_get_payment( array( 'id' => $_GET['wpj_payment_id'] ) );
					$order   = wpjobster_get_topup_order_by( 'id', $payment->payment_type_id );
					$wct->redirect( $payment->payment_type_id, $order->payment_status, 'yes' );
				}
			}
		}
	}
