<?php /*** ADMIN OPTIONS PAGE */

/* Plugin settings page content */
add_action( 'wpj_after_transaction_flow_admin_menu', 'wpj_sor_plugin_options_page' );
function wpj_sor_plugin_options_page() {

	$arr = array(
		'yes' => __( 'Yes', 'wpjobster' ),
		'no'  => __( 'No', 'wpjobster' )
	); ?>

	<tr>
		<td valign="top" width="22"><?php wpjobster_theme_bullet( __( 'Seller is given 24 hours window to accept or cancel the order, otherwise the order will be automatically cancelled and the buyer refunded.', 'wpjobster' ) ); ?></td>
		<td><?php echo __( 'Require seller to confirm order:', 'wpjobster' ); ?></td>
		<td><?php echo wpjobster_get_option_drop_down( $arr, 'wpjobster_seller_order_rejection_enable', 'no' ); ?></td>
	</tr>

<?php }

/* Save plugin settings */
add_action( 'wpjobster_general_settings_main_details_options_save', 'wpj_sor_plugin_options_save' );
function wpj_sor_plugin_options_save() {
	if ( isset( $_POST['wpjobster_seller_order_rejection_enable'] ) ) {
		update_option( 'wpjobster_seller_order_rejection_enable', $_POST['wpjobster_seller_order_rejection_enable'] );
	}
}
