<?php /*** FRONT FUNCTIONS - SHOPPING ***/

add_filter( 'wpj_user_shopping_tabs_slug_filter', 'wpj_sor_add_pending_order_tab_slug', 10, 1 );

add_filter( 'wpj_user_shopping_tabs_data_filter', 'wpj_sor_add_pending_order_tab_data', 10, 2 );

add_filter( 'wpj_sql_user_account_query_filter', 'wpj_sor_shopping_add_pending_order_tab_content', 10, 4 );
function wpj_sor_shopping_add_pending_order_tab_content( $query, $query_type, $query_status, $uid ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( $query_type == 'shopping' ) {
			if ( $query_status == 'pending-confirmation' ) {
				$query = wpj_seller_pending_confirmation_orders( get_current_user_id(), 'shopping' )['query'];
			}
		}
	}

	return $query;
}

add_filter( 'wpj_user_shopping_no_jobs_text_filter', 'wpj_sor_add_text_no_pending_order', 10, 2 );

add_filter( 'wpj_user_shopping_status_class_filter', 'wpj_sor_add_status_class', 10, 2 );

add_filter( 'wpj_user_shopping_status_text_filter', 'wpj_sor_add_status_text', 10, 2 );