<?php
function wpjobster_information() { ?>

	<div class="wrap">
		<h2 class="wpj-admin-title">Jobster - <?php echo __( 'Information', 'wpjobster' ); ?></h2>

		<div id="usual2" class="usual">
			<ul>
				<li><a href="#tabs1" class="selected"><?php _e( 'Main Information', 'wpjobster' ); ?></a></li>
			</ul>

			<!-- Information -->
			<div id="tabs1" style="display: block; ">
				<table width="100%" class="wpj-admin-table">
					<tr>
						<td width="160"><?php _e( 'WPJobster Version:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_VERSION; ?></td>
					</tr>
					<tr>
						<td width="160"><?php _e( 'WPJobster License Type:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_return_license_name(); ?><?php if ( the_loop_check() && the_loop_check() < 3 ) { ?> - <a href="https://wpjobster.com/account/" target="_blank">Upgrade?</a><?php } elseif ( the_loop_check() < 3 ) { ?> - <a href="https://wpjobster.com/buy/" target="_blank">Upgrade?</a><?php } ?>
						</td>
					</tr>
					<tr>
						<td width="160"><?php _e( 'WPJobster License Status:', 'wpjobster' ); ?></td>
						<td><?php do_action( 'wpjobster_display_license_status_text' ); ?></td>
					</tr>
					<tr>
						<td width="160"><?php _e( 'WPJobster Latest Release:', 'wpjobster' ); ?></td>
						<td><?php echo wpjobster_RELEASE; ?></td>
					</tr>
					<tr>
						<td width="160"><?php _e( 'WordPress Version:', 'wpjobster' ); ?></td>
						<td><?php bloginfo( 'version' ); ?></td>
					</tr>
					<tr>
						<td width="160"><?php _e( 'PHP Version:', 'wpjobster' ); ?></td>
						<td><?php echo phpversion(); ?></td>
					</tr>
				</table>
			</div>
		</div>
	</div>

<?php }
