<div class="column footer-col-carts">

	<?php $settings = get_theme_mod( 'image_demo', " " );
	if ( ( ! is_array( $settings ) && trim( $settings ) ) || ( is_array( $settings) && $settings ) ) {
		$image_exist = false;
		foreach ( $settings as $setting ) {
			if ( file_exists( get_attached_file( $setting['link_url'] ) ) ) {
				$image_exist = true;
			}
		}
	} else {
		$image_exist = true;
	} ?>

	<ul class="payment-icons">
		<?php if ( isset( $image_exist) && $image_exist ) {
			if ( ( ! is_array( $settings ) && trim( $settings ) ) || ( is_array( $settings) && $settings ) ) {
				foreach ( $settings as $setting ) {
					if ( file_exists( get_attached_file( $setting['link_url'] ) ) ) { ?>
						<li><?php echo wp_get_attachment_image( $setting['link_url'], array( '40', '40' ) ); ?></li>
					<?php }
				}
			}
		} else {
			$files = array(
				get_template_directory_uri() . '/assets/images/carts/card-visa.png',
				get_template_directory_uri() . '/assets/images/carts/card-mastercard.png',
				get_template_directory_uri() . '/assets/images/carts/card-americanexpress.png',
				get_template_directory_uri() . '/assets/images/carts/card-discover.png',
				get_template_directory_uri() . '/assets/images/carts/card-jcb.png',
				get_template_directory_uri() . '/assets/images/carts/card-dinersclub.png',
				get_template_directory_uri() . '/assets/images/carts/card-paypal.png'
			);
			if ( $files ) {
				foreach ( $files as $file ) { ?>
					<li><img width="40" height="40" src="<?php echo $file; ?>" class="attachment-thumbnail size-thumbnail" alt=""></li>
				<?php }
			}
		} ?>
	</ul>

</div>
