<?php
global $wpdb, $wp_rewrite, $wp_query, $current_user, $is_profile_pg, $site_url_localized, $no_header_footer; ?>

<div class="ui sidebar inverted vertical left menu">
	<?php wpj_semantic_sidebar_left(); ?>
</div>

<div class="ui sidebar vertical right inverted menu">
	<?php wpj_semantic_sidebar_right(); ?>
</div>

<!--[if IE ]><div class="<?php echo apply_filters( 'wpj_wrapper_class_filter', 'pusher ie autohide-keyboard' ); ?>"><![endif]-->
<!--[if !IE]>-->
<div class="<?php echo apply_filters( 'wpj_wrapper_class_filter', 'pusher autohide-keyboard' ); ?>">
<!--<![endif]-->

	<?php include_once( get_template_directory() . "/assets/images/svg/evil-icons-custom.svg" ); ?>

	<?php if ( $no_header_footer == false ) { ?>

		<?php echo wpj_header_mobile_menu(); ?>

		<div class="background-top-menu">

			<div class="wrapper-menu-top">
				<div class="wrapper-menu-top-fixable">
					<div class="cf main">
						<div class="ui two column stackable grid">

							<div class="four wide column">
								<div class="logo_holder">
									<a href="<?php echo home_url('/'); ?>"><img alt="logo" class="logo" src="<?php echo wpj_header_logo(); ?>" /></a>
								</div>
							</div>

							<div class="twelve wide column">
								<div class="nh-right">

									<div class="nh-secondary-menu">

										<?php wp_nav_menu(
											array(
												'theme_location' => 'wpjobster_header_secondary_menu',
												'container'      => '',
												'menu_class'     => 'secondary-menu',
												'fallback_cb'    => ''
											)
										); ?>

									</div>

									<div class="nh-search">
										<div class="nh-search-container">
											<?php wpjobster_display_top_search_form(); ?>
										</div>
									</div>

									<?php
									wpj_header_language_selector();
									wpj_header_currency_selector();
									wpj_header_right_part();
									?>

								</div>
							</div>

						</div>
					</div>
				</div>
			</div>

			<div class="wrapper-menu">
				<div class="cf main">
					<div class="ui segments middle-menu <?php if ( get_theme_mod( 'enable_long_menu_arrows' ) ) { echo ' middle-menu-slider'; } if ( get_theme_mod( 'header_border', true ) ) { echo ' header-menu-border'; } ?>">
						<div class="ui segment main-menu-wrapper">
							<div class="arrows-wrapper">
								<a class="menu-direction-left float-left"><i class="angle left icon"></i></a>
								<a class="menu-direction-right float-right"><i class="angle right icon"></i></a>
							</div>

							<?php wpjobster_display_main_menu_links( wpj_main_menu() ); ?>

						</div>
					</div>
				</div>
			</div>

		</div>

	<?php } ?>

	<div class="wpj-page-content cf <?php echo get_field( 'full_width' ) ? 'main-full' : 'main'; ?> <?php echo ( $no_header_footer == true ) ? 'widget-cnt' : '';  ?>">
