<?php

if(!function_exists('wpjobster_my_favorites_area_function')) {
	function wpjobster_my_favorites_area_function() {

		ob_start();

		global $current_user;
		$current_user = wp_get_current_user();
		$uid = $current_user->ID;

		if (!get_option('wpjobster_my_favorites_page_id')) {
			update_option('wpjobster_my_favorites_page_id', get_the_ID());
		}
		?>

		<div id="content-full-ov">

			<div class="ui basic notpadded segment">
				<h1 class="ui header wpj-title-icon">
					<i class="heart icon"></i>
					<?php _e("My Favorites",'wpjobster'); ?>
				</h1>
			</div>

			<div class="ui segment">
				<div class="ui stackable grid wpj-grid-table">
					<?php if ( is_user_logged_in() ) {
						$bookmarks = upb_get_user_meta( upb_get_user_id() );
						if ( $bookmarks ) { ?>
							<div class="row">
								<div class="eight wide column favorite-title-table">
									<?php _e('Job Details', 'wpjobster'); ?>
								</div>
								<div class="three wide column favorite-title-table">
									<?php _e("Delivery time", "wpjobster"); ?>
								</div>
								<div class="three wide column favorite-title-table">
									<?php _e('Job Price', 'wpjobster'); ?>
								</div>
								<div class="two wide column favorite-title-table">
									<?php _e('Remove', 'wpjobster'); ?>
								</div>
							</div>
							<div class="upb-bookmarks-list row">
								<?php echo wpj_my_favorites( '', $bookmarks ); ?>
							</div>
						<?php } else { ?>
							<div class="row bookmark-link no-bookmarks">
								<div class="sixteen wide column">
									<?php _e( "You do not have any bookmarked posts.", "wpjobster" ); ?>
								</div>
							</div>
						<?php }
					} else { ?>
						<div class="row">
							<div class="sixteen wide column">
								<?php _e( "You must be logged in to view your bookmarks.", "wpjobster" ); ?>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>

		<div class="ui hidden divider"></div>

		<?php
		$ret = ob_get_contents();
		ob_clean();

		return $ret;
	}
}
