<div class="ui two stackable grid user-proposals">

	<div class="six wide column">
		<?php echo wpj_translate_custom_offer_title( get_the_title(), $pid ); ?>
	</div>

	<div class="two wide column">
		<?php echo $price; ?>
	</div>

	<div class="two wide column">
		<?php echo $max_days; ?>
	</div>

	<div class="four wide column proposals-status" data-custom-offer="<?php echo $pid; ?>">

		<?php if ( $pg_now == 'send' ) {

			if ( $accepted == 1 ) { ?>

				<span class="offer-green"> <?php _e( "Your offer was accepted!", "wpjobster" ); ?></span>

			<?php } elseif ( $declined == 1 ) { ?>

				<span class="offer-red"><?php _e( "Your offer was declined.", "wpjobster" ); ?></span>

			<?php } elseif ( $withdrawn == 1 ) { ?>

				<span class="offer-red"><?php _e( "You have withdrawn your offer.", "wpjobster" ); ?></span>

			<?php } elseif ( $expired == 1 ) { ?>

				<span class="offer-red"><?php _e( "Your offer expired.", "wpjobster" ); ?></span>

			<?php } else { ?>

				<a href="#" <?php echo $data_withdraw; ?> data-id="<?php echo $pid; ?>" class="redlink withdraw_custom_offer">
					<?php _e( "Withdraw", "wpjobster" ); ?>
				</a>

				<form id="withdraw_custom_offer" method="post" name="withdraw<?php echo $pid; ?>" action="" style="display: none;">

					<input type="hidden" value="1" name="withdraw_offer" />
					<input type="hidden" value="offer_withdrawn" name="action" />
					<input type="hidden" value="<?php echo $pid; ?>" name="custom_offer" />

				</form>

			<?php }

		} elseif ( $pg_now == 'received' ) {

			if ( $accepted == 1 ) { ?>

				<span class="offer-green"><?php _e( "Your have accepted the offer!", "wpjobster" ); ?></span>

			<?php } elseif ( $declined == 1 ) { ?>

				<span class="offer-red"><?php _e( "You have declined the offer.", "wpjobster" ); ?></span>

			<?php } elseif ( $withdrawn == 1 ) { ?>

				<span class="offer-red"><?php _e( "The offer was withdrawn by the seller.", "wpjobster" ); ?></span>

			<?php } elseif ( $expired == 1 ) { ?>

				<span class="offer-red"><?php _e( "The offer expired.", "wpjobster" ); ?></span>

			<?php } else { ?>

				<form class="di" method="post" id="purchase<?php echo $pid; ?>" name="purchase<?php echo $pid; ?>" action="<?php echo get_bloginfo( 'url' ) . '/?jb_action=purchase_this&jobid=' . $pid; ?>">

					<a href='javascript:void(0)' class="greenlink di" data-id="<?php echo $pid; ?>" onclick="document.getElementById( 'purchase<?php echo $pid; ?>' ).submit(); return false;"><?php _e( "Accept", "wpjobster" ); ?></a>

					<input type="hidden" name="purchaseformvalidation" value="ok" />
				</form>

				<span><?php _e( 'or', 'wpjobster' ); ?></span>

				<span>

					<a href='javascript:void(0)' <?php echo $data_decline; ?> data-id="<?php echo $pid; ?>" class="redlink decline_custom_offer di">
						<?php _e( "Decline", "wpjobster" ); ?>
					</a>

					<form id="decline_custom_offer" method="post" name="decline<?php echo $pid; ?>" action="" style="display: none;">

						<input type="hidden" value="1" name="decline_offer" />
						<input type="hidden" value="offer_declined" name="action" />
						<input type="hidden" value="<?php echo $pid; ?>" name="custom_offer" />

					</form>

				</span>

			<?php }
		} ?>
	</div>

	<div class="two wide column">
		<?php echo $subject; ?>
	</div>

</div>