<?php
function wpj_modal_request_arbitration() { ?>
	<div class="ui modal smaller request-arbitration modal-content-arbitration">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="file text outline inverted grey icon"></i>
			<?php _e( 'Request Arbitration', 'wpjobster' ); ?>
		</div>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_wpj_request_arbitration_form', 'wpj_request_arbitration_form' );
add_action( 'wp_ajax_wpj_request_arbitration_form', 'wpj_request_arbitration_form' );
function wpj_request_arbitration_form() {
	$orderid = $_POST['oid']; ?>

	<i class="close icon"></i>
	<div class="ui icon header">
		<i class="eye inverted grey icon"></i>
		<?php _e( 'Request Arbitration', 'wpjobster' ); ?>
	</div>

	<div class="content">
		<form method="post" id="wpj_send_arbitration">
			<div class="ui form">
				<div class="arbitration-status-container">
					<div class="arbitration-msg-target"></div>
				</div>

				<div class="field">
					<p><?php _e( 'You are about to request arbitration for this job. Our support specialists will carefully analyze all of the information and make an appropriate decision accordingly.', 'wpjobster' ); ?></p>
				</div>

				<div class="field">
					<textarea class="wpj-grey-textarea" rows="4" id="message_to_admin" name="message_to_admin" cols="40" required="required" placeholder="<?php _e( 'Your message to support specialist: ', 'wpjobster' ); ?>"></textarea>

					<input type="hidden" value="<?php echo $orderid; ?>" name="orderid" />
					<input type="hidden" value="wpj_request_arbitration" name="action" />
					<input type="hidden" value="confirm_arbitration" name="process_action" />
				</div>
			</div>
		</form>
	</div>

	<div class="actions">
		<button onclick="clickAndDisable(this);" class="ui green labeled icon button btn-wpj-send-arbitration">
			<?php echo __( 'Confirm', 'wpjobster' ); ?>
			<i class="white checkmark icon"></i>
		</button>
		<button class="ui cancel labeled icon button">
			<?php _e( 'Cancel', 'wpjobster' ); ?>
			<i class="close icon"></i>
		</button>
	</div>

	<?php wp_die();
}
