<?php  // Tips
function wpj_modal_add_tips_chatbox() { ?>
	<div class="ui modal smaller add-tips">
		<i class="close icon"></i>
		<div class="ui icon header">
			<i class="file text outline inverted grey icon"></i>
			<?php _e( 'Send tips to seller', 'wpjobster' ); ?>
		</div>
		<div class="content modal-content-add-tips"></div>
	</div>
<?php }

add_action( 'wp_ajax_tips_form', 'wpj_tips_form_content' );
add_action( 'wp_ajax_nopriv_tips_form', 'wpj_tips_form_content' );
function wpj_tips_form_content() {
	if ( isset( $_REQUEST ) ) { ?>

		<div class="tips-default-container">
			<?php if ( is_user_logged_in() ) { ?>
				<form action="javascript://" name="tipsform" class="tips-default-form-container tips_form ui form">
					<div class="tips-status-container ui message" style="display: none">
						<div class="tips-msg-target"></div>
					</div>

					<input type="hidden" name="user" value="<?php echo $_POST['user']; ?>" />
					<input type="hidden" name="oid" value="<?php echo $_POST['oid']; ?>" />

					<div class="field">
						<label><?php _e( 'Amount', 'wpjobster' ); ?></label>
						<input type="number" step="0.01" name="tips_amount" />
					</div>

					<div class="field">
						<label><?php _e( 'Reason', 'wpjobster' ); ?></label>
						<textarea name="tips_reason" rows="5" placeholder="<?php _e( 'Reason', 'wpjobster' ); ?>"></textarea>
					</div>

					<div class="actions">
						<button class="ui positive uppercase labeled icon button" type="submit" name="tips">
							<?php _e( 'Send tips', 'wpjobster' ); ?>
							<i class="white checkmark icon"></i>
						</button>
					</div>
				</form>
			<?php } else { _e( "Not logged in", "wpjobster" ); } ?>
		</div>

	<?php }

	die();
}