<?php $wpjobster_adv_code_single_page_above_content = stripslashes( get_option( 'wpjobster_adv_code_single_page_above_content' ) );

if ( ! empty( $wpjobster_adv_code_single_page_above_content ) ) { ?>

	<div class="full_width_a_div">

		<?php echo $wpjobster_adv_code_single_page_above_content; ?>

	</div>

<?php }

if ( have_posts() ) {
	while ( have_posts() ) { the_post(); ?>

		<div id="content-full" class="page-content">

			<div class="single-wrapper">

				<?php do_action( 'wpj_before_' . get_post_type() . '_single_page_content' ); ?>

				<div class="blog_post ui segment">

					<h1 class="heading-title"><?php the_title() ?></h1>

					<div class="blog_thumbnail"><?php the_post_thumbnail( 'blog_thumbnail_big' ); ?></div>

					<div class="blog_post_content ui segment overflow-visible">

						<div class="padding-cnt"><?php echo apply_filters( 'the_content', get_the_content() ); ?></div>

						<div class="extra content center">
							<i class="calendar alternate outline icon"></i><?php echo get_the_date( get_option( 'date_format' ) ); ?>
						</div>

					</div>

					<div class="blog-post-comment"><?php wpjobster_show_comments_on_blog_news_pages(); ?></div>

				</div>
			</div>
		</div>

	<?php }
}
