<!-- Parent: includes/posts/functions-sort-by.php -->
<div class="ui basic notpadded segment <?php echo $page; ?>">

	<div class="ui two column stackable grid">
		<div class="nine wide column">
			<h1 class="ui header <?php if ( $icon ) { echo 'wpj-title-icon'; } ?>">
				<?php if ( $icon ) { ?>
					<i class="<?php echo $icon; ?> icon"></i>
				<?php }

				echo $title; ?>
			</h1>
		</div>

		<div class="seven wide column">

			<?php if ( $page == 'job' ) { echo listing_buttons_jobs( 'grid-switch-relative right' ); } ?>

			<div class="filter-jobs-by js-buttons-to-dropdown buttons-to-dropdown-desktop right">

				<div class="sort-by-lbl"><?php _e( "Sort by:", 'wpjobster' ); ?></div>

				<a class="ui white button <?php echo ( $order == "auto" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'auto' ); ?>">
					<?php _e( "Auto", "wpjobster" ); ?>
				</a>

				<?php if ( $page == 'job' ) { ?>
					<a class="ui white button <?php echo ( $order == "rating" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'rating' ); ?>" >
						<?php _e( "Rating", "wpjobster" ); ?>
					</a>
				<?php } ?>

				<a class="ui white button <?php echo ( $order == "new" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'new' ); ?>">
					<?php _e( "Newest", "wpjobster" ); ?>
				</a>

				<a class="ui white button <?php echo ( $order == "old" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'old' ); ?>" >
					<?php _e( "Oldest", "wpjobster" ); ?>
				</a>

				<?php if (
					(
						( $page == 'job' && get_option( 'wpjobster_location' ) == 'yes' )
						|| ( $page == 'request' && get_option( 'wpjobster_request_location' ) == 'yes' )
					)
					&& $location_get && $latitude_get && $longitude_get
				) { ?>
					<a class="ui white button <?php echo ( $order == "distance" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'distance'); ?>" >
						<?php _e( "Distance: nearest first", "wpjobster" ); ?>
					</a>
				<?php }

				if ( $page == 'job' ) {

					if ( get_option( 'wpjobster_enable_job_views' ) == 'yes' ) { ?>
						<a class="ui white button <?php echo ( $order == "views" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'views' ); ?>" >
							<?php _e( "Views: most visits first", "wpjobster" ); ?>
						</a>
					<?php } ?>

					<a class="ui white button <?php echo ( $order == "price_lowest" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'price_lowest' ); ?>" >
						<?php _e( "Price: lowest first", "wpjobster" ); ?>
					</a>

					<a class="ui white button <?php echo ( $order == "price_highest" ? 'active' : "" ); ?>" href="<?php echo wpjobster_filter_switch_link_from_home_page( 'price_highest' ); ?>" >
						<?php _e( "Price: highest first", "wpjobster" ); ?>
					</a>

				<?php } ?>

			</div>

		</div>
	</div>
</div>
