<?php if ( get_option( 'wpjobster_adv_code_cat_page_above_content' ) ) { ?>

	<div class="full_width_a_div">
		<?php echo stripslashes( get_option( 'wpjobster_adv_code_cat_page_above_content' ) ); ?>
	</div>

<?php } ?>

<!-- Content -->
<div id="content-full-ov">

	<!-- Top -->
	<?php $vars = wpj_taxonomy_title_filter();
	wpj_display_sort_by_content( 'job', $vars['title'] ); ?>

	<!-- Left -->
	<div class="new-left-sidebar ">

		<!-- Widget Categories Top -->
		<?php if ( is_active_sidebar( 'category-top-widgets-area' ) ) { ?>
			<div class="ui segment">
				<div id="category-top-widgets-area" class="primary-sidebar widget-area" role="complementary">
					<ul><?php dynamic_sidebar( 'category-top-widgets-area' ); ?></ul>
				</div>
			</div>
		<?php } ?>

		<!-- List categories -->
		<?php wpj_taxonomy_category_list_sidebar(); ?>

		<!-- Search section -->
		<div class="ui segment hidden-filters">
			<?php wpj_display_search_sidebar_content( 'job' ); ?>
		</div>

		<!-- Widget Categories Bottom -->
		<?php if ( is_active_sidebar( 'category-bottom-widgets-area' ) ) { ?>
			<div class="ui segment">
				<div id="category-bottom-widgets-area" class="primary-sidebar widget-area" role="complementary">
					<ul><?php dynamic_sidebar( 'category-bottom-widgets-area' ); ?></ul>
				</div>
			</div>
		<?php } ?>

	</div>

	<!-- Right -->
	<div class="right_container">
		<div class="cf <?php if ( is_subcategory() ) { echo ' subcategory_jobs '; } else { echo ' category_jobs '; } ?>">
			<?php wpj_display_thumbs_taxonomy(); ?>
		</div>
	</div>

</div>

<div class="ui hidden divider"></div>