<?php
global $wpdb, $current_user;
$prefix = $wpdb->prefix;
$current_user = wp_get_current_user();
$uid = $current_user->ID;
$querystr2 = "SELECT distinct * FROM {$prefix}job_affiliate_transactions WHERE user_id='$uid' ORDER BY date DESC";
$total = $wpdb->get_results($querystr2);
$total_amount = 0;
foreach($total as $tot) {
	$total_amount += $tot->amount;
}
?>

<div class="ui segment">

	<h2 class="heading-subtitle">
		<?php _e("Affiliate Reports","wpjobster-affiliate"); ?>
	</h2>
	<?php
	$wpj_job = new WPJ_Load_More_Queries(
		array(
			'query_type'     => 'affiliate',
			'query_status'   => 'all',
			'function_name'  => 'wpjobster_show_affiliate_transaction_row',
			'posts_per_page' => '10',
		)
	);
	$no_jobs_text = __('No affiliate reports.','wpjobster-affiliate');

	if($wpj_job->have_rows()){ ?>

		<div class="order-list-container">
			<div class="bs-table-header cf">
				<div class="bs-col-container cf">
					<div class="bs-col2">
						<?php _e('Reason', 'wpjobster-affiliate'); ?>
					</div>
					<div class="bs-col3">
						<?php _e('Date', 'wpjobster-affiliate'); ?>
					</div>
					<div class="bs-col6 text-right">
						<?php _e('Amount', 'wpjobster-affiliate'); ?>
					</div>
				</div>
			</div>
			<div class="post_results">
				<?php $wpj_job->show_queries_list_func(); ?>
			</div>
		</div>

	<?php }else{
		echo "<div>" . $no_jobs_text . "</div>";
	} ?>

</div>

<?php if($wpj_job->have_rows()){ ?>
	<div class="ui segment padding-cnt cf">
		<h2>
			<span class="total_amount"><?php echo  __( "TOTAL:", "wpjobster" ) . " " . wpjobster_get_show_price( $total_amount, 2 ); ?></span>
		</h2>
	</div>
<?php } ?>

<div class="ui hidden divider"></div>
