<?php
add_action( 'wp_ajax_notifications_for_chatbox', 'wpjobster_notifications_for_chatbox' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_notifications_for_chatbox', 'wpjobster_notifications_for_chatbox' ); // ajax for not logged in users
function wpjobster_notifications_for_chatbox(){
	$chat_box = new WPJobsterChatBox( $_POST['oid'], $_POST['jb_action'] );
	$chat_box->chat_box_current_order_status_details();

	wp_die();
}

add_action( 'wp_ajax_messages_for_chatbox', 'wpjobster_messages_for_chatbox' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_messages_for_chatbox', 'wpjobster_messages_for_chatbox' ); // ajax for not logged in users
function wpjobster_messages_for_chatbox(){
	$orderid = $_POST['oid'];
	$chat_box = new WPJobsterChatBox( $orderid, $_POST['jb_action'] );

	$current_order = wpjobster_get_order( $orderid );
	$current_arbitration_order = wpj_get_arbitration_details_by_order_id( $orderid );

	ob_start();
	echo $chat_box->chat_box_send_message_form();
	$output = ob_get_contents();
	ob_end_clean();

	ob_start();
	echo $chat_box->chat_box_rating();
	$review_html = ob_get_contents();
	ob_end_clean();

	echo json_encode( array(
		'content'              => $output,
		'review'               => $review_html,
		'buyer_given_feedback' => $chat_box->buyer_given_feedback(),
		'payment_status'       => $current_order->payment_status,
		'order_status'         => $current_order->done_buyer,
		'times_up'             => $current_order->force_cancellation,
		'order_cancellation'   => $current_order->accept_cancellation_request,
		'arbitration'          => isset( $current_arbitration_order->buyer_arbitration ) ? $current_arbitration_order->buyer_arbitration : '',
	) );

	wp_die();
}
