<?php get_header();

if ( ! is_user_logged_in() ) { wp_redirect( get_bloginfo( 'url' ) ); }

global $wp_query;
$pg_now = isset( $wp_query->query_vars['pg'] ) ? urldecode( $wp_query->query_vars['pg'] ) : 'active';
$pages = array( 'send', 'received' );
if ( ! in_array( $pg_now, $pages ) ) { $pg_now = 'send'; }

//-> template-parts/pages/custom-offer/page-proposals.php
wpj_get_template( 'pages/custom-offer/page-proposals.php',
	array(
		'pg_now'              => $pg_now,
		'pages'               => $pages,
		'uid'                 => get_current_user_id(),
		'posts_send'          => wpj_get_user_proposals( get_current_user_id(), 'send', 'result' ),
		'posts_received'      => wpj_get_user_proposals( get_current_user_id(), 'received', 'result' ),
		'count_send'          => wpj_get_user_proposals( get_current_user_id(), 'send', 'count' ),
		'count_received'      => wpj_get_user_proposals( get_current_user_id(), 'received', 'count' ),
		'enable_custom_offer' => get_option( 'wpjobster_enable_custom_offers' )
	)
);

get_footer();
