jQuery( document ).ready( function( $ ) {
	// scroll to top button
	$( window ).scroll( function() {
		if ( $( this ).scrollTop() > 100 ) {
			$( '.scrollToTop' ).fadeIn();
		} else {
			$( '.scrollToTop' ).fadeOut();
		}
	});

	// click event to scroll to top
	$( '.scrollToTop' ).click( function() {
		$( 'html, body' ).animate( {scrollTop : 0}, 800) ;
		return false;
	});

	// add stackable class on responsive columns
	$( window ).on( 'load resize', function() {
		if ( $( this ).width() < ( 767 - 15 ) ) {
			if ( ! $( '.footer-row-social-media' ).hasClass( 'doubling' ) ) {
				$( '.footer-row-social-media' ).addClass( 'doubling' );
			}
			if ( ! $( '.footer-row-social-media' ).hasClass( 'stackable' ) ) {
				$( '.footer-row-social-media' ).addClass( 'stackable' );
			}
		} else {
			$( '.footer-row-social-media' ).removeClass( 'doubling' ).removeClass( 'stackable' );
		}
	});
});