var graph_page = '';
if ( wpj_vars.is_page_my_account == 1 ) {
	graph_page = 'my_account';
} else if ( wpj_vars.is_page_my_sales == 1 ) {
	graph_page = 'sales';
} else if ( wpj_vars.is_page_my_shopping == 1 ) {
	graph_page = 'shopping';
}

function get_wpjobster_graph() {

	if ( graph_page && jQuery( ".chart-wrapper" )[0] ) {

		disp_type    = jQuery( "#disp_type" ).val();
		select_year  = jQuery( "#select_year select[name=select_year]" ).val();
		select_month = jQuery( "#select_month select[name=select_month]" ).val();

		jQuery.ajax({
			url: wpj_vars.ajaxurl,
			data: {
				'uid'         : wpj_vars.uid,
				'action'      : 'get_wpjobster_graph',
				'disp_type'   : disp_type,
				'select_year' : select_year,
				'select_month': select_month,
				'graph_page'  : graph_page

			},
			success:function( json_data ) {
				chart_data   = JSON.parse( json_data );
				chart_data2  = eval( chart_data['data_table'] );
				data         = google.visualization.arrayToDataTable( chart_data2 );

				drawChart();
			},
			error: function( errorThrown ) {}
		});

	}
}

if ( graph_page && jQuery( ".chart-wrapper" )[0] ) {
	jQuery( document ).ready( function( $ ) {

		$( ".graph-button" ).click( function() {

			$( "#disp_type" ).val( $( "input[name=disp_type]:checked" ).val() );

			if ( $( "#disp_type" ).val() == 'lastweek' || $( "#disp_type" ).val() == 'all' ) {
				$( "#form_graph" ).removeClass( "hidden" );
				$( "#form_graph" ).addClass( "hidden" );
				$( "#select_month" ).removeClass( "hidden" );
				$( "#select_month" ).addClass( "hidden" );
				get_wpjobster_graph();
			} else if ( $( "#disp_type" ).val() == 'month' ){
				$( "#form_graph" ).removeClass( "hidden" );
				$( "#select_month" ).removeClass( "hidden" );
			} else if ( $( "#disp_type" ).val() == 'year' ) {
				$( "#form_graph" ).removeClass( "hidden" );
				$( "#select_month" ).removeClass( "hidden" );
				$( "#select_month" ).addClass( "hidden" );
			}

		});

	});

	jQuery( document ).ready( function( $ ) {
		google.charts.load( 'current', {'packages' : ['corechart']} );
		google.charts.setOnLoadCallback( drawChart );
	});
}

function drawChart() {

	if ( wpj_vars.is_rtl == 'true' ) {
		vAxis_val = { minValue: 0, reverseAxis: true, legend: { position: "top" } };
	} else {
		vAxis_val = { minValue: 0 };
	}

	if ( graph_page && wpj_vars.data_table && jQuery( ".chart-wrapper" )[0] ) {

		if ( typeof data == 'undefined' ) {
			data_table = wpj_vars.data_table;
			data_table = data_table.replace( /'/g, '"' );
			data = google.visualization.arrayToDataTable( JSON.parse( data_table ) );
		}

		if ( graph_page == 'my_account' ) {
			var options = {
				hAxis: {
					titleTextStyle: {color: '#333'}
				},
				vAxis: vAxis_val,
				colors: ['#BEEC78', '#119EE2', '#FFBE00', '#65BEE9', '#83C124']
			};
		} else if ( graph_page == 'sales' ) {
			var options = {
				hAxis: {
					titleTextStyle: {color: '#333'}
				},
				vAxis: vAxis_val,
				colors: ['#BEEC78', '#FFBE00', '#65BEE9', '#83C124', '#83C124']
			};
		} else if ( graph_page == 'shopping' ) {
			var options = {
				hAxis: {
					titleTextStyle: {color: '#333'}
				},
				vAxis: vAxis_val,
				colors: ['#BEEC78', '#FFBE00', '#119EE2', '#83C124', '#83C124']
			};
		} else {
			var options = {
				hAxis: {
					titleTextStyle: {color: '#333'}
				},
				vAxis: vAxis_val,
				colors: ['#83C124', '#83C0D8', '#03C0D8', '#f3CaD8', '#8fCbD8']
			};
		}

		var chart = new google.visualization.AreaChart( document.getElementById( 'chart_div' ) );
		chart.draw( data, options );

	}
}