jQuery( window ).ready( function( $ ) {

	// Open notification preview box
	var notifications_ajax_load_callback = function( show_icon ) {

		$.ajax({
			type: 'post',
			url : wpj_vars.ajaxurl,
			data: {
				action: 'show_notifications_panel_preview'
			},

			beforeSend: function() {
				$( '.nh-notifications-dropdown' ).each( function() {
					$( this ).html( '' );
					$( this ).addClass( 'loading' );
				});
			},

			success: function( data ) {
				$( '.nh-notifications-dropdown' ).each( function() {
					$( this ).html( data );

					$( this ).removeClass( 'loading' );

					$( ".antiscroll-inner" ).mCustomScrollbar({
						theme:"minimal-dark"
					});
				});
			}
		});
	};

	// Expand user notifications
	$( '.nh-notifications .nh-link' ).click( function( event ) {
		event.preventDefault();

		if ( $( ".nh-notifications-dropdown" ).css( "display" ) == "block" ) {

			$( '.nh-messages' ).attr( 'data-position', 'bottom center' );
			$( '.nh-notifications' ).attr( 'data-position', 'bottom center' );

			$( ".nh-notifications-dropdown" ).css( "display", "none" );

			event.stopPropagation();

		} else {

			$( '.nh-messages' ).attr( 'data-position', 'left center' );
			$( '.nh-notifications' ).attr( 'data-position', 'right center' );

			$( ".nh-notifications-dropdown" ).css( "display", "block" );

			event.stopPropagation();

		}
	});

	$( document ).mouseup( function ( e ) {
		var notifications_container = $( ".nh-notifications-dropdown" );
		var notifications_handler   = $( ".nh-notifications" );

		if ( ! notifications_container.is( e.target ) // if the target of the click isn't the container...
			&& notifications_container.has( e.target ).length === 0 // ... nor a descendant of the container
			&& ! notifications_handler.is( e.target )
			&& notifications_handler.has( e.target ).length === 0 )
		{
			$( '.nh-messages' ).attr( 'data-position', 'bottom center' );
			$( '.nh-notifications' ).attr( 'data-position', 'bottom center' );

			notifications_container.css( "display", "none" );
		}
	});

	// Open messages preview box
	var messages_ajax_load_callback = function( show_icon ) {

		$.ajax({
			type: 'post',
			url : wpj_vars.ajaxurl,
			data: {
				action: 'show_messages_panel_preview'
			},

			beforeSend: function() {
				$( '.nh-messages-dropdown' ).each( function() {
					$( this ).html( '' );
					$( this ).addClass( 'loading' );
				});
			},

			success: function( data ) {
				$( '.nh-messages-dropdown' ).each( function() {
					$( this ).html( data );

					$( this ).removeClass( 'loading' );

					$( ".antiscroll-inner" ).mCustomScrollbar({
						theme:"minimal-dark"
					});
				});
			}
		});
	};

	// Expand user messages
	$( '.nh-messages .nh-link' ).click( function( event ) {
		event.preventDefault();

		if ( $( ".nh-messages-dropdown" ).css( "display" ) == "block" ) {

			$( '.nh-messages' ).attr( 'data-position', 'bottom center' );
			$( '.nh-notifications' ).attr( 'data-position', 'bottom center' );

			$( ".nh-messages-dropdown" ).css( "display", "none" );

			event.stopPropagation();

		} else {

			$( '.nh-messages' ).attr( 'data-position', 'left center' );
			$( '.nh-notifications' ).attr( 'data-position', 'right center' );

			$( ".nh-messages-dropdown" ).css( "display", "block" );

			event.stopPropagation();

		}
	});

	$( document ).mouseup( function ( e ) {
		var messages_container = $( ".nh-messages-dropdown" );
		var messages_handler   = $( ".nh-messages-dropdown" );

		if ( ! messages_container.is( e.target ) // if the target of the click isn't the container...
			&& messages_container.has( e.target ).length === 0 // ... nor a descendant of the container
			&& ! messages_handler.is( e.target )
			&& messages_handler.has( e.target ).length === 0 )
		{
			$( '.nh-messages' ).attr( 'data-position', 'bottom center' );
			$( '.nh-notifications' ).attr( 'data-position', 'bottom center' );

			messages_container.css( "display", "none" );
		}
	});

	$( ".nh-notifications .nh-link" ).each( function() {
		$( this ).click( notifications_ajax_load_callback );
	});

	$( ".nh-messages .nh-link" ).each( function() {
		$( this ).click( messages_ajax_load_callback );
	});
});
