jQuery( document ).ready( function( $ ) {

	// Subscription front price update
	$( document ).on( 'change', 'input[name="sub_id"]', function( event ) {
		var sd_arr  = $( this ).val().split( '-' );
		var sub_typ = sd_arr[0];
		var sub_lvl = sd_arr[1];

		// Get price
		var sub_amt = $( this ).siblings( 'label[for=' + sub_typ + '-' + sub_lvl + ']' ).children( '.level-amount' ).html();
		if ( sub_amt ) { sub_amt = sub_amt.trim(); }

		// Remove class active from all levels
		$( '.level0, .level1, .level2, .level3' ).removeClass( 'active' );

		// Add active class to selected level
		$( '.' + sub_lvl ).addClass( 'active' ).html( sub_amt );

		// Add price to selected level
		$( '.subsc-total' ).html( sub_amt );
	});
});
