jQuery( document ).ready( function( $ ) {

	function wpj_add_hash( hash ) {
		if ( history.pushState ) {
			history.pushState( null, null, hash );
		} else {
			location.hash = hash;
		}
	}

	// run only on post new job & request
	$.fn.pageLoadToolTip = function() {
		if ( jQuery( ".post-new-job-wrapper" )[0] ) {
			var data_handler_id = jQuery( '.post-new-job-wrapper' ).find( '.tab.active' ).find( '.js-tooltip-handler' ).attr( 'data-handler-id' );
			if ( data_handler_id && data_handler_id != 'cfield_' && data_handler_id != 'request_cfield_' ) {
				jQuery( '[data-handler-id="' + data_handler_id + '"]' ).mouseenter().mouseleave();
			}
		}
	}
	$.fn.pageLoadToolTip();

	// select correct tab from hash
	var tab_id = window.location.hash.replace("#step", "#tab");
	if ( tab_id ) {
		$('.js-tabs-wrapper .step.active').removeClass('active');
		$(tab_id).addClass('active');
		$('.js-tabs-wrapper .js-tab-wrapper .tab.active').removeClass('active');
		var this_tab = $($(".js-tabs-wrapper .js-tab-wrapper .tab").get( $(tab_id).index() ) );
		this_tab.addClass("active");
		$.fn.pageLoadToolTip();
	}

	// change tab when ckicking on tab header
	jQuery('.js-tabs-wrapper .step').on('click', function() {
		$('.js-tabs-wrapper .step.active').removeClass('active');
		$(this).addClass('active');
		$('.js-tabs-wrapper .js-tab-wrapper .tab.active').removeClass('active');
		var this_tab = $($('.js-tabs-wrapper .js-tab-wrapper .tab').get($(this).index()));
		this_tab.addClass('active');
		var hash = $(this).attr("id").replace("tab", "#step");
		wpj_add_hash( hash );
	});

	// change tab when clicking next
	jQuery('.post-new-job-wrapper .tab-controls a.right').click(function(e){
		e.preventDefault();
		$('.js-tabs-wrapper .js-tab-wrapper .tab.active').removeClass('active');
		var curent_tab = $( this ).parents( '.tab' ).index();
		$($('.js-tabs-wrapper .js-tab-wrapper .tab').get(curent_tab + 1)).addClass('active');
		$('.js-tabs-wrapper .step.active').removeClass('active');
		var this_tab = $($('.js-tabs-wrapper .step').get(curent_tab + 1));
		this_tab.addClass('active');
		var hash = this_tab.attr("id").replace("tab", "#step");
		wpj_add_hash( hash );
		$('html, body').animate({ scrollTop: $(".post-new-job-wrapper").offset().top - 108 }, 1000);
	});

	// change tab when clicking previous
	jQuery('.post-new-job-wrapper .tab-controls a.left').click(function(e){
		e.preventDefault();
		$('.js-tabs-wrapper .js-tab-wrapper .tab.active').removeClass('active');
		var curent_tab = $( this ).parents( '.tab' ).index();
		$($('.js-tabs-wrapper .js-tab-wrapper .tab').get(curent_tab - 1)).addClass('active');
		$('.js-tabs-wrapper .step.active').removeClass('active');
		var this_tab = $($('.js-tabs-wrapper .step').get(curent_tab - 1));
		this_tab.addClass('active');
		var hash = this_tab.attr("id").replace("tab", "#step");
		wpj_add_hash( hash );
		$('html, body').animate({ scrollTop: $(".post-new-job-wrapper").offset().top - 108 }, 1000);
	});

	// button tabs
	if ( typeof current_active === 'undefined' && $( '.item.force-white-btn.active' )[0] ) {
		var is_first = true;
		var current_active = $( '.item.force-white-btn.active' ).attr( 'data-tab' );
	}

	$( document ).on( 'click', '.item.force-white-btn', function() {

		var url_initial = window.location.pathname;

		if ( wpj_vars.homepage_slug ) {
			url_initial = wpj_vars.homepage_slug + '/';
		}

		if ( is_first && ! url_initial.includes( current_active ) ) {
			window.history.pushState( {}, document.title, url_initial + current_active );
		}

		var url_final = window.location.pathname;
		window.history.pushState( {}, document.title, url_final.replace( current_active, $( this ).attr( 'data-tab' ) ) );

		current_active = $( this ).attr( 'data-tab' );

		is_first = false;

		$( this ).parents( ".js-tab-to-dropdown" ).find( '.ui.dropdown' ).dropdown( 'set selected', $( '.item.force-white-btn.active' ).attr( 'data-tab' ) );

		if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
			jQuery.fn.echoLazyLoadRender();
		}
	});

	// browser navigation button pressed
	$( window ).on( 'popstate', function( event ) {
		var active_tab = window.location.pathname.match( /([^\/]*)\/*$/ )[1];

		$( '.ui.secondary.menu' ).find( '.item' ).tab( 'change tab', active_tab ); // pc tab
		$( '.js-tab-to-dropdown' ).find( '.ui.dropdown' ).dropdown( 'set selected', active_tab ); // mobile dropdown

		if ( typeof jQuery.fn.echoLazyLoadRender == 'function' ) {
			jQuery.fn.echoLazyLoadRender();
		}
	});

});
