<?php
// FUNCTIONS
include_once get_template_directory() . '/includes/admin/admin-menu/summary-settings.php';
include_once get_template_directory() . '/includes/admin/admin-menu/general-settings.php';
include_once get_template_directory() . '/includes/admin/admin-menu/email-settings.php';
include_once get_template_directory() . '/includes/admin/admin-menu/sms-settings.php';
include_once get_template_directory() . '/includes/admin/admin-menu/sms-gateways.php';
include_once get_template_directory() . '/includes/admin/admin-menu/pricing-settings.php';
include_once get_template_directory() . '/includes/admin/admin-menu/payment-gateways.php';
include_once get_template_directory() . '/includes/admin/admin-menu/user-balances.php';
include_once get_template_directory() . '/includes/admin/admin-menu/user-badges.php';
include_once get_template_directory() . '/includes/admin/admin-menu/user-levels.php';
include_once get_template_directory() . '/includes/admin/admin-menu/subscription.php';
include_once get_template_directory() . '/includes/admin/admin-menu/transactions.php';
include_once get_template_directory() . '/includes/admin/admin-menu/orders.php';
include_once get_template_directory() . '/includes/admin/admin-menu/resolution-center.php';
include_once get_template_directory() . '/includes/admin/admin-menu/user-reviews.php';
include_once get_template_directory() . '/includes/admin/admin-menu/private-messages.php';
include_once get_template_directory() . '/includes/admin/admin-menu/transaction-messages.php';
include_once get_template_directory() . '/includes/admin/admin-menu/tracking.php';

// VIEWS
get_template_part('template-parts/admin-menu/html', 'general-settings');
get_template_part('template-parts/admin-menu/html', 'email-settings');
get_template_part('template-parts/admin-menu/html', 'sms-settings');
get_template_part('template-parts/admin-menu/html', 'sms-gateways');
get_template_part('template-parts/admin-menu/html', 'pricing-settings');
get_template_part('template-parts/admin-menu/html', 'payment-gateways');
get_template_part('template-parts/admin-menu/html', 'user-balances');
get_template_part('template-parts/admin-menu/html', 'user-badges');
get_template_part('template-parts/admin-menu/html', 'user-levels');
get_template_part('template-parts/admin-menu/html', 'subscription');
get_template_part('template-parts/admin-menu/html', 'transactions');
get_template_part('template-parts/admin-menu/html', 'orders');
get_template_part('template-parts/admin-menu/html', 'resolution-center');
get_template_part('template-parts/admin-menu/html', 'user-reviews');
get_template_part('template-parts/admin-menu/html', 'private-messages');
get_template_part('template-parts/admin-menu/html', 'transaction-messages');
get_template_part('template-parts/admin-menu/html', 'tracking');
get_template_part('template-parts/admin-menu/html', 'information');

// Helper icon and text
function wpjobster_theme_bullet( $rn = '' ) {
	global $menu_admin_wpjobster_theme_bull;

	$menu_admin_wpjobster_theme_bull = '<a href="#" class="tltp_cls" title="'.$rn.'"><img src="'.get_template_directory_uri() . '/assets/images/qu_icon.png" /></a>';

	echo $menu_admin_wpjobster_theme_bull;
}