<?php
add_filter( 'bulk_actions-edit-job', 'wpj_admin_activate_all_label_bulk_actions' );
function wpj_admin_activate_all_label_bulk_actions( $bulk_actions ) {
	$bulk_actions['activate_all'] = __( 'Activate all', 'wpjobster');
	$bulk_actions['deactivate_all'] = __( 'Deactivate all', 'wpjobster');

	return $bulk_actions;
}

add_filter( 'handle_bulk_actions-edit-job', 'wpj_admin_activate_all_action_bulk_actions', 10, 3 );
function wpj_admin_activate_all_action_bulk_actions( $redirect_to, $doaction, $post_ids ) {
	if ( $doaction == 'activate_all' || $doaction == 'deactivate_all' ) {

		foreach ( $post_ids as $post_id ) {
			if ( $doaction == 'deactivate_all' ) {
				wpj_ajax_deactivate_job( $post_id, 'by_admin' );
			} elseif ( $doaction == 'activate_all' ) {
				wpj_ajax_activate_job( $post_id, 'by_admin' );
			}
		}

	}

	return $redirect_to;
}