<?php
function wpj_display_admin_email_sms_legend( $notify_type = 'both' ) { ?>

	<a class="toggle-legend cursor-pointer float-right"><?php _e( 'All tags legend', 'wpjobster' ); ?></a>

	<table class="legend-table">

		<thead>
			<tr><td colspan="2"><b><?php _e( 'All tags legend: (You can NOT use all of them in each email, please see the available shortcodes list from top!)', 'wpjobster' ); ?></b></td></tr>
		</thead>

		<tbody>
			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Users', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##receiver_username##</strong></td><td><?php _e( "the person that will receive the emails.", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##receiver_email##</strong></td><td><?php _e( "the email address of the user", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##sender_username##</strong></td><td><?php _e( "the other person involved in the transaction.", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##username##</strong></td><td><?php _e( "this is used mostly for emails sent to admin, because receiver_username woudn't make sense", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##user_email##</strong></td><td><?php _e( "this is used mostly for emails sent to admin, because receiver_email woudn't make sense", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##password##</strong></td><td><?php _e( "the auto generated password for old nonajax registration", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##password_reset_link##</strong></td><td><?php _e( "the password reset link", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##email_verification##</strong></td><td><?php _e( "the email verification link", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Services', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##all_featured_info##</strong></td><td><?php _e( "the periods and pages of the job that will be featured", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##job_name##</strong></td><td><?php _e( "new job's title", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##job_link##</strong></td><td><?php _e( "link for the new job", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##request_name##</strong></td><td><?php _e( "new request's title", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##request_link##</strong></td><td><?php _e( "link for the new request", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Orders', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##current_level##</strong></td><td><?php _e( "current level of the receiver", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##payment_type##</strong></td><td><?php _e( "payment type used for transaction", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##payment_amount##</strong></td><td><?php _e( "payment amount for current transaction", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##mc_gross##</strong></td><td><?php _e( "gross amount for current transaction", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##processing_fees##</strong></td><td><?php _e( "processing fee amount for current transaction", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##tax_amount##</strong></td><td><?php _e( "tax amount for current transaction", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##transaction_number##</strong></td><td><?php _e( "transaction number", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##transaction_page_link##</strong></td><td><?php _e( "transaction page link", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Withdrawal', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##amount_withdrawn##</strong></td><td><?php _e( "amount withdrawn, including", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdraw_method##</strong></td><td><?php _e( "withdraw method", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdrawal_email_verification##</strong></td><td><?php _e( "withdrawal verification link", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdrawal_username##</strong></td><td><?php _e( "withdraw username for admin email", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdrawal_amount##</strong></td><td><?php _e( "withdraw amount for admin email", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdrawal_method##</strong></td><td><?php _e( "withdraw method for admin email", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##withdrawal_link##</strong></td><td><?php _e( "user withdrawal link", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Topup', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##amount_updated##</strong></td><td><?php _e( "balance amount after topup", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##amount_updated_in_currency##</strong></td><td><?php _e( "balance amount after topup for current currency", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##payment_gatway##</strong></td><td><?php _e( "payment gateway used for topup", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Subscription', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##current_subscription_level##</strong></td><td><?php _e( "current subscription level", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##current_subscription_amount##</strong></td><td><?php _e( "current subscription amount", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##current_subscription_period##</strong></td><td><?php _e( "current subscription period", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##next_subscription_level##</strong></td><td><?php _e( "next subscriptionlevel", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##next_subscription_amount##</strong></td><td><?php _e( "next subscription amount", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##next_billing_date##</strong></td><td><?php _e( "next subscription date", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Exchange', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##main_currency##</strong></td><td><?php _e( "exchange - site currency", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##old_price##</strong></td><td><?php _e( "exchange - old currency value", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##new_price##</strong></td><td><?php _e( "exchange - new currency value", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##percent_difference##</strong></td><td><?php _e( "exchange - percent difference between old and new currency value", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Links', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##my_account_url##</strong></td><td><?php _e( "your website's my account link", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##private_message_link##</strong></td><td><?php _e( "the link for the conversation with a particular user", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##admin_orders_url##</strong></td><td><?php _e( "your website's admin orders link", "wpjobster" ); ?></td></tr>

			<tr><td class="uppercase" colspan="2"><b><?php _e( 'Site', 'wpjobster' ); ?></b></td></tr>
			<tr><td><strong>##your_site_name##</strong></td><td><?php _e( "your website's name", "wpjobster" ); ?></td></tr>
			<tr><td><strong>##your_site_url##</strong></td><td><?php _e( "your website's homepage url", "wpjobster" ); ?></td></tr>

			<?php do_action( 'wpj_after_tags_legend' ); ?>
		</tbody>

	</table>

<?php }