<?php
// Left admin menu
add_action( 'admin_menu', 'wpjobster_admin_menu' );
function wpjobster_admin_menu() {

	$icn        = get_template_directory_uri() . "/assets/images/settings39.png";
	$capability = 'manage_options';

	global $sr, $ub, $ubl, $cl_es, $cl_gs, $cl_ls, $cl_pg, $cl_ps, $cl_pm, $cl_sg, $cl_ss, $subscription, $cl_transactions, $cl_orders, $cl_resolution_center, $tracking, $cl_tm, $ul, $ur, $wr;

	add_menu_page(
		__( 'Jobster Theme' ),
		__( 'Jobster','wpjobster' ),
		$capability, "PT1_admin_mnu",
		array( $sr, 'wpjobster_summary_report' ),
		$icn,
		0
	);

	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Summary', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'overview_icon.png' ) . __( 'Summary', 'wpjobster' ),
		$capability, 'PT1_admin_mnu',
		array( $sr, 'wpjobster_summary_report' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'General Settings', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'setup_icon.png' ) . __( 'General Settings', 'wpjobster' ),
		$capability,
		"general-options",
		array ( $cl_gs, 'wpjobster_general_options' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Email Settings', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'email_icon.png' ) . __('Email  Settings', 'wpjobster' ),
		$capability,
		'email-settings',
		array( $cl_es, 'wpjobster_email_settings' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'SMS Settings', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'email_icon.png' ) . __('SMS  Settings', 'wpjobster' ),
		$capability,
		'sms-settings',
		array( $cl_ss, 'wpjobster_sms_settings')
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'SMS Gateways', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'email_icon.png' ) . __('SMS  Gateways', 'wpjobster' ),
		$capability,
		'sms-gateways',
		array( $cl_sg, 'wpjobster_sms_gateways')
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Pricing Settings', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'dollar_icon.png' ) . __('Pricing  Settings', 'wpjobster' ),
		$capability,
		'pricing-settings',
		array( $cl_ps, 'wpjobster_pricing_settings' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Payment Gateways', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'gateway_icon.png' ) . __('Payment  Gateways', 'wpjobster' ),
		$capability,
		'payment-methods',
		array( $cl_pg, 'wpjobster_payment_gateways' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'User Balances', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'bal_icon.png' ) . __('User  Balances', 'wpjobster' ),
		$capability,
		'User-Balances',
		array( $ubl, 'wpjobster_user_balances' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'User Badges', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'badge1.png' ) . __('User  Badges', 'wpjobster' ),
		$capability,
		'user_badges',
		array( $ub, 'wpjobster_user_badges' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'User Levels', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'bdg1.png' ) . __('User  Levels', 'wpjobster' ),
		$capability,
		'user_levels',
		array( $ul, 'wpjobster_user_levels' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Subscriptions', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'bdg1.png' ) . __('Subscriptions' , 'wpjobster' ),
		$capability,
		'subscriptions',
		array( $subscription, 'wpjobster_subscription')
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Transactions', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'list_icon.png' ) . __( 'Transactions', 'wpjobster' ),
		$capability,
		'trans-site',
		array( $cl_transactions, 'wpjobster_transactions' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'Orders', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'orders_icon.png' ) . __( 'Orders', 'wpjobster' ),
		$capability,
		'order-stats',
		array( $cl_orders, 'wpjobster_orders' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'Resolution Center', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'resolution_center_icon.png' ) . __( 'Resolution Center', 'wpjobster' ) . '<span class="count_arbitration"></span>',
		$capability,
		'resolution-center',
		array( $cl_resolution_center, 'wpjobster_resolution_center' )
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'User Reviews', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'review_icon.png' ) . __( 'User Reviews', 'wpjobster' ),
		$capability,
		'usrrev',
		array( $ur, 'wpjobster_user_reviews')
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'Private Messages', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'mess_icon.png' ) . __( 'Private Messages', 'wpjobster' ),
		$capability,
		'privmess',
		array( $cl_pm, 'wpjobster_private_messages')
	);
	add_submenu_page(
		'PT1_admin_mnu',
		__( 'Transaction Messages', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'trans_icon.png' ) . __( 'Transaction Messages', 'wpjobster' ),
		$capability,
		'chatmess',
		array( $cl_tm, 'wpjobster_transaction_messages' )
	);
	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Tracking', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'track_icon.png' ) . __( 'Tracking', 'wpjobster' ),
		$capability,
		'track-tools',
		array( $tracking, 'wpjobster_tracking')
	);

	do_action( 'wpjobster_new_admin_options_menu' );

	add_submenu_page(
		"PT1_admin_mnu",
		__( 'Information', 'wpjobster' ),
		wpjobster_disp_spcl_cst_pic( 'info_icon.png' ) . __( 'Information', 'wpjobster' ),
		$capability,
		'info-stuff',
		'wpjobster_information'
	);
}

// Top bar admin menu
add_action('admin_bar_menu', 'wpjobster_admin_bar_menu', 35);
function wpjobster_admin_bar_menu( $admin_bar ) {
	$admin_bar->add_menu( array(
		'id'    => 'PT1_admin_mnu',
		'title' => __( 'Jobster', 'wpjobster' ),
		'href'  => get_admin_url() . 'admin.php?page=PT1_admin_mnu',
		'meta'  => array(
			'title' => __( 'Jobster', 'wpjobster' )
		),
	));

	$admin_bar->add_menu( array(
		'id'     => 'general-options',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'General Settings', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=general-options',
		'meta'   => array(
			'title' => __( 'General Settings', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'email-settings',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Email Settings', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=email-settings',
		'meta'   => array(
			'title' => __( 'Email Settings', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'sms-settings',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'SMS Settings', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=sms-settings',
		'meta'   => array(
			'title' => __( 'SMS Settings', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'sms-gateways',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'SMS Gateways', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=sms-gateways',
		'meta'   => array(
			'title' => __( 'SMS Gateways', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'pricing-settings',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Pricing Settings', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=pricing-settings',
		'meta'   => array(
			'title' => __( 'Pricing Settings', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'payment-methods',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Payment Gateways', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=payment-methods',
		'meta'   => array(
			'title' => __( 'Payment Gateways', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'User-Balances',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'User Balances', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=User-Balances',
		'meta'   => array(
			'title' => __( 'User Balances', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'user_badges',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'User Badges', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=user_badges',
		'meta'   => array(
			'title' => __( 'User Badges', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'user_levels',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'User Levels', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=user_levels',
		'meta'   => array(
			'title' => __( 'User Levels', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'subscriptions',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Subscriptions', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=subscriptions',
		'meta'   => array(
			'title' => __( 'Subscriptions', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'trans-site',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Transactions', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=trans-site',
		'meta'   => array(
			'title' => __( 'Transactions', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'order-stats',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Orders', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=order-stats',
		'meta'   => array(
			'title' => __( 'Orders', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'resolution-center',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Resolution Center', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=resolution-center',
		'meta'   => array(
			'title' => __( 'Resolution Center', 'wpjobster' ),
			'class' => 'admin-bar-cnt-arb',
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'usrrev',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'User Reviews', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=usrrev',
		'meta'   => array(
			'title' => __( 'User Reviews', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'privmess',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Private Messages', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=privmess',
		'meta'   => array(
			'title' => __( 'Private Messages', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'chatmess',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Transaction Messages', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=chatmess',
		'meta'   => array(
			'title' => __( 'Transaction Messages', 'wpjobster' )
		),
	));
	$admin_bar->add_menu( array(
		'id'     => 'track-tools',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Tracking', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=track-tools',
		'meta'   => array(
			'title' => __( 'Tracking', 'wpjobster' )
		),
	));

	do_action( 'wpjobster_new_admin_options_top_menu', $admin_bar );

	$admin_bar->add_menu( array(
		'id'     => 'info-stuff',
		'parent' => 'PT1_admin_mnu',
		'title'  => __( 'Information', 'wpjobster' ),
		'href'   => get_admin_url() . 'admin.php?page=info-stuff',
		'meta'   => array(
			'title' => __( 'Information', 'wpjobster' )
		),
	));
}

// Show admin bar
add_action( 'init', 'wpj_show_hide_menu_bar' );
function wpj_show_hide_menu_bar() {
	$user = wp_get_current_user();
	$allowed_roles = array( 'editor', 'administrator', 'author' );
	if ( array_intersect( $allowed_roles, $user->roles )
		&& wpj_is_iframe_previous_pageload() === false
		&& ! wp_is_mobile()
	) {
		// let him choose
	} else {
		show_admin_bar( false );
	}
}

// Menu list icon
function wpjobster_disp_spcl_cst_pic( $pic ) {
	return '<img src="' . get_template_directory_uri() . '/assets/images/' . $pic . '" /> ';
}

// Add Options page
add_action( 'init', function() {
	if ( function_exists( 'acf_add_options_page' ) && is_admin() ) {
		acf_add_options_page();
	}
});

// Set order for Options page
add_filter( 'custom_menu_order', '__return_true' );
add_filter( 'menu_order', 'wpj_custom_menu_order' );
function wpj_custom_menu_order( $menu_ord ) {
	if ( ! $menu_ord ) return true;

	// vars
	$menu1 = 'acf-options';

	// remove from current menu
	$menu_ord = array_diff( $menu_ord, array( $menu1 ) );

	// append after index.php [0]
	array_splice( $menu_ord, 1, 0, array( $menu1 ) );

	// return
	return $menu_ord;
}
