<?php
class SmsSettings{
	public function wpjobster_sms_settings() {
		show_html_sms_settings();
	}

	public function save_sms_settings() {
		if ( isset( $_POST['wpjobster_save_sms_settings'] ) ) {
			if ( wpjobster_sms_allowed() ) {

				update_option( 'wpjobster_sms_gateways_enable', trim( $_POST['wpjobster_sms_gateways_enable'] ) );

				update_option( 'wpjobster_sms_admin_numb_from', trim( $_POST['wpjobster_sms_admin_numb_from'] ) );

				update_option( 'wpjobster_verify_phone_numbers', trim( $_POST['wpjobster_verify_phone_numbers'] ) );

				if ( $_POST['wpjobster_verify_phone_numbers'] == 'no' ) {
					update_option( 'wpjobster_lock_verify_phone_numbers', 'no' );
				} else {
					update_option( 'wpjobster_lock_verify_phone_numbers', trim( $_POST['wpjobster_lock_verify_phone_numbers'] ) );
				}

				if ( $_POST['wpjobster_verify_phone_numbers'] == 'no' && $_POST['wpjobster_lock_verify_phone_numbers'] == 'yes' ) {
					echo '<div class="error fade"><p>' . __( 'You can\'t lock the user to My Account page because the phone number verification is disabled', 'wpjobster' ) . '!</p></div>';
				}

				echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';

			} else {

				update_option( 'wpjobster_sms_gateways_enable', '-' ); ?>

				<div class="error notice">
					<p>Could not save SMS settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
				</div>
			<?php }
		}
	}

	public function save_sms_notifications() {
		$email_categories = notifications_array();
		foreach ( $email_categories as $email_category ) {
			if( isset( $email_category["items"] ) && $email_category["items"] ){
				foreach ( $email_category["items"] as $reason => $item ) {
					if ( isset( $_POST['uz_save_sms_' . $reason] ) ) {
						if ( wpjobster_sms_allowed() ) {
							update_option( 'uz_sms_' . $reason . '_enable', trim( $_POST['uz_sms_' . $reason . '_enable'] ) );

							$languages = get_preferred_languages();
							foreach ( $languages as $lang => $lang_name ) {
								update_option( 'uz_sms_' . $reason . '_' . $lang . '_message', trim( $_POST['uz_sms_' . $reason . '_' . $lang . '_message'] ) );
							}

							echo '<div class="updated fade"><p>' . __( 'Settings saved!', 'wpjobster' ) . '</p></div>';
						} else {
							update_option( 'wpjobster_sms_gateways_enable', '-' ); ?>

							<div class="error notice">
								<p>Could not save SMS settings. Please <a href="https://wpjobster.com/buy/?utm_source=upgrade-feature-notice" target="_blank">upgrade</a> your license to Entrepreneur in order to use this feature.</p>
							</div>

						<?php }
					}
				}
			}
		}
	}

}

$cl_ss = new SmsSettings();
