<?php
function wpj_custom_offer_accepted( $pid = '', $oid = '', $bid = '', $sid = '' ) {

	update_post_meta( $pid, 'offer_accepted', 1 );

	global $wpdb;

	$custom_offer_result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$sid} AND custom_offer = {$pid}" );
	if ( isset( $custom_offer_result[0]->associate_request_id ) ) {
		if ( get_post_meta( $custom_offer_result[0]->associate_request_id, 'request_autoclose', true ) == 'yes' ) {
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'assigned', 1 );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'assigned_to', $sid );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'assigned_order', $oid );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'active', 2 );
		}
	}

	$order = wpjobster_get_order( $oid );

	$seller_data = get_userdata( $sid );
	$buyer_data  = get_userdata( $bid );

	wpj_notify_user_translated( 'offer_acc_buyer', $bid, array( '##sender_username##' => wpj_get_user_display_type( $seller_data->ID ), '##transaction_page_link##' => wpj_get_order_link( $oid ), '##private_message_link##' => wpj_get_pm_link( $seller_data->ID ), '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $order->date_made ) ) );
	wpj_notify_user_translated( 'offer_acc_seller', $sid, array( '##sender_username##' => wpj_get_user_display_type( $buyer_data->ID ), '##transaction_page_link##' => wpj_get_order_link( $oid ), '##private_message_link##' => wpj_get_pm_link( $buyer_data->ID ), '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $order->date_made ) ) );

}