<?php
function wpj_custom_offer_cancelled( $email_reason = '', $pid = '', $oid = '', $sid = '', $bid = '' ) {

	$current_order = wpjobster_get_order( $oid );

	$seller_data = get_userdata( $sid );
	$buyer_data  = get_userdata( $bid );

	if ( $sid && $bid ) {

		wpj_notify_user_translated( $email_reason, $bid, array( '##sender_username##' => wpj_get_user_display_type( $seller_data->ID ), '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $current_order->date_made ), '##transaction_page_link##' => wpj_get_order_link( $oid ) ) );

		wpj_notify_user_translated( $email_reason, $sid, array( '##sender_username##' => wpj_get_user_display_type( $buyer_data->ID ), '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $current_order->date_made ), '##transaction_page_link##' => wpj_get_order_link( $oid )
		) );

	} else {

		wpj_notify_user_translated( $email_reason, $sid, array( '##sender_username##' => wpj_get_user_display_type( $buyer_data->ID ), '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $current_order->date_made ), '##transaction_page_link##' => wpj_get_order_link( $oid ) ) );

	}
}

function wpj_custom_offer_mark_inactive( $reason = '', $pid = '', $uid = '' ) {
	global $wpdb;

	$custom_offer_result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer = {$pid}" );

	if ( isset( $custom_offer_result[0]->associate_request_id ) ) {
		if ( get_post_meta( $custom_offer_result[0]->associate_request_id, 'request_autoclose', true ) == 'yes' ) {
			delete_post_meta( $custom_offer_result[0]->associate_request_id, 'assigned' );
			delete_post_meta( $custom_offer_result[0]->associate_request_id, 'completed' );

			update_post_meta( $custom_offer_result[0]->associate_request_id, 'active', 0 );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'cancelled', 1 );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'cancelled_reason', $reason );
		}
	}

}