<?php
function wpj_custom_offer_completed( $pid = '', $oid = '', $uid = '' ) {
	global $wpdb;

	$custom_offer_result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}job_pm WHERE initiator = {$uid} AND custom_offer = {$pid}" );
	if ( isset( $custom_offer_result[0]->associate_request_id ) ) {
		if ( get_post_meta( $custom_offer_result[0]->associate_request_id, 'request_autoclose', true ) == 'yes' ) {
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'completed', 1 );
			update_post_meta( $custom_offer_result[0]->associate_request_id, 'active', 2 );

			delete_post_meta( $custom_offer_result[0]->associate_request_id, 'assigned' );
		}
	}

	$current_order = wpjobster_get_order( $oid );

	wpj_notify_user_translated( 'order_offer_complete', $uid, array( '##transaction_number##' => wpjobster_camouflage_order_id( $oid, $current_order->date_made ), '##transaction_page_link##' => wpj_get_order_link( $oid ) ) );
}