<?php
function wpj_custom_offer_expired( $pid ='', $bid = '', $sid = '' ) {
	if ( get_post_meta( $pid, "offer_expired", true ) == 0 ) {
		if ( current_time( 'timestamp', 1 ) > get_post_meta( $pid, "offer_date_expire", true ) ) {
			update_post_meta( $pid, 'offer_expired', 1 );

			if (
				get_post_meta( $pid, "offer_withdrawn", true ) == 1 ||
				get_post_meta( $pid, "offer_accepted", true ) == 1 ||
				get_post_meta( $pid, "offer_declined", true ) == 1
			) { /* do nothing */ }

			else {
				$sender_data = get_userdata( $sid );
				wpj_notify_user_translated( 'offer_exp', $bid, array( '##sender_username##' => wpj_get_user_display_type( $sender_data->ID ), '##private_message_link##' => wpj_get_pm_link( $sid ) ) );
			}
		}
	}
}