<?php
function wpj_get_string_between( $string, $start, $end ) {

	$string = ' ' . $string;

	$ini = strpos( $string, $start );

	if ( $ini == 0 ) return '';

	$ini += strlen( $start );

	$len = strpos( $string, $end, $ini ) - $ini;

	return trim( substr( $string, $ini, $len ) );

}

function wpj_apply_filter_to_string( $string = '', $include_warning = false, $category = '' ) {

	$validation_errors = false;

	list( $string, $validation_errors ) = filterMessagePlusErrors( $string, true, $category );

	if ( $include_warning ) {
		$string .= displayValidationErrors( $validation_errors );
	}

	return $string;

}

function br2nl( $string ) {
	return preg_replace( '/<br\s?\/?>/ius', "\n", str_replace( "\n", "", str_replace( "\r", "", htmlspecialchars_decode( $string ) ) ) );
}

function nl2space( $string ) {
	return preg_replace('/\s+/', ' ', $string);
}
