<?php
add_action( 'wp_ajax_nopriv_wpj_ajax_delete_job', 'wpj_ajax_delete_job' );
add_action( 'wp_ajax_wpj_ajax_delete_job', 'wpj_ajax_delete_job' );
function wpj_ajax_delete_job() {

	if ( is_user_logged_in() ) {

		$pid  = $_POST['var_post_id'];
		$post = get_post( $pid );

		if ( $post->post_author == get_current_user_id() ) {
			wp_trash_post( $post->ID );
			echo 'success';
		} else { echo 'not_your_post'; }

	} else { echo 'not_logged_in'; }

	wp_die();
}

add_action( 'wp_ajax_nopriv_delete_all_jobs', 'delete_all_user_jobs' );
add_action( 'wp_ajax_delete_all_jobs', 'delete_all_user_jobs' );
function delete_all_user_jobs( $user_id ) {

	$user_id = isset( $_POST['user_id'] ) ? $_POST['user_id'] : $user_id;

	if ( ! $user_id ) { $user_id = get_current_user_id(); }

	$args = array(
		'post_type'      => 'job',
		'posts_per_page' => -1,
		'post_status'    => array( 'draft', 'publish', 'pending' ),
		'author'         => $user_id
	);

	$posts = get_posts( $args );

	if ( $posts && is_user_logged_in() && get_current_user_id() == $user_id ) {
		foreach ( $posts as $post ) {
			if ( $post->post_author == get_current_user_id() ) {
				wp_trash_post( $post->ID );
			}
		}
	}
}