<?php
// TODO: seems unused
add_action('wp_ajax_nopriv_show_more_feedbacks', 'show_more_feedbacks');
add_action('wp_ajax_show_more_feedbacks', 'show_more_feedbacks');
function show_more_feedbacks(){
	ob_start();
	global $wpdb;
	$pid = $_POST['pid'];
	$uid = $_POST['uid'];
	$start_from  = $_POST['current'];
	$total_per_load  = $_POST['total_per_load'];
	$total_shown = $start_from+$total_per_load;

	$query_feedback_total = "select distinct *, ratings.datemade datemade from ".$wpdb->prefix."job_ratings ratings, ".$wpdb->prefix."job_orders orders,
	".$wpdb->prefix."posts posts where posts.ID=orders.pid AND posts.ID='$pid' AND
	 ratings.awarded='1' AND orders.id=ratings.orderid AND posts.post_author='$uid' order by datemade desc ";

	$r_feedback_total = $wpdb->get_results($query_feedback_total);
	$r_seller_total = count($r_feedback_total);

	$query = "select distinct *, ratings.datemade datemade from ".$wpdb->prefix."job_ratings ratings, ".$wpdb->prefix."job_orders orders,
	".$wpdb->prefix."posts posts where posts.ID=orders.pid AND posts.ID='$pid' AND
	 ratings.awarded='1' AND orders.id=ratings.orderid AND posts.post_author='$uid' order by datemade desc limit $start_from , $total_per_load";

	$r = $wpdb->get_results($query);

	$cnt = 0;
	foreach($r as $row){
		$cnt++;
		$post = $row->pid;
		$post = get_post($post);
		$user2 = get_userdata($row->uid); ?>

		<div class="feed cf">
			<div>
				<a href="" class="left p10r job-feedback-picture <?php echo ! $row->reason ? 'middle-align' : ''; ?>"><img width="45" height="45" border="0" class="round-avatar" src="<?php echo wpjobster_get_avatar($row->uid,46,46); ?>" /></a>
				<div class="left job-feedback-content">
					<div class="left cb p5b w100">
						<a class="left" href="<?php echo wpj_get_user_profile_link( $user2->user_login ); ?>"><?php echo wpj_get_user_display_type( $user2->ID ); ?></a>
						<div class="left p10l">
							<div class="user-page-reviews">
								<?php echo wpjobster_show_stars_our_of_number($row->grade); ?>
							</div>
						</div>
						<span class="grey-time p10l right">
							<?php echo wpj_date(get_option( 'date_format' ), $row->datemade); ?>
						</span>
					</div>
					<div class="cb">
						<p><?php echo wpj_apply_filter_to_string( stripslashes( $row->reason ), false, 'joblistings' ); ?></p>
					</div>
				</div>
			</div>
		</div>

		<?php
		$query_seller = "select distinct *, ratings.datemade,orders.uid as buyer_id, datemade from ".$wpdb->prefix."job_ratings_by_seller ratings,"
					. " ".$wpdb->prefix."job_orders orders,
		".$wpdb->prefix."posts posts where posts.ID=orders.pid AND posts.ID='$pid' AND
		 ratings.awarded='1' AND orders.id=ratings.orderid AND posts.post_author='$uid' and orders.id=".$row->orderid." order by datemade desc limit 3";

		$r_seller = $wpdb->get_results($query_seller);
		if($r_seller){
			$row_seller=$r_seller[0];
			$user3 = get_userdata($uid); ?>
			<div class="feed cf feedback-answer">
				<div>
					<a href="" class="left p10r job-feedback-picture"><img width="35" height="35" border="0" class="round-avatar" src="<?php echo wpjobster_get_avatar($user3->ID,46,46); ?>" /></a>
					<div class="left job-feedback-content">
						<div class="left cb p5b w100">
							<a class="left" href="<?php echo wpj_get_user_profile_link( $user3->user_login ); ?>"><?php echo wpj_get_user_display_type( $user3->ID ); ?></a>
							<div class="left p10l">
								<div class="user-page-reviews">
									<?php echo wpjobster_show_stars_our_of_number($row_seller->grade); ?>
								</div>
							</div>
							<span class="grey-time p10l right"></span>
						</div>
						<div class="cb">
							<p><?php echo wpj_apply_filter_to_string( stripslashes( $row_seller->reason ), false, 'joblistings' ); ?></p>
						</div>
					</div>
				</div>
			</div>
			<?php
		} //if seller rating
	}

	$output['html']=ob_get_contents();
	ob_flush();
	$output['ok']=1;

	if($total_shown >= $r_seller_total){
		$output['current']=0;
	}else{
		$output['current']=$total_shown;
	}

	echo json_encode($output);
	die();
} // end function for displaying Load more feedback

function wpjobster_show_stars_our_of_number( $x ) {
	$n      = 5;
	$halves = ( $x + 0.25 ) * 2;
	$full   = (int) ( $halves / 2 );
	$half   = $halves % 2;

	$full_str = ' <i class="star icon full-star-rating"></i>';
	if ( is_rtl() ) { $half_str = ' <i class="star half alternate icon half-star-rating star-rtl-reverse"></i>'; }
	else { $half_str = ' <i class="star half alternate icon half-star-rating"></i>'; }
	$empty_str = ' <i class="outline star icon empty-star-rating"></i>';

	$stars = '<div class="wpj-star-rating-static">';

		for ( $i = 0; $i < $full; $i++ ) $stars .= $full_str;
		if ( $half ) $stars .= $half_str;
		for ( $i = $full + $half; $i < $n; $i++ ) $stars .= $empty_str;

	$stars .= '</div>';

	return $stars;
}

function wpjobster_show_big_stars_our_of_number( $x ) {
	$n      = 5;
	$halves = ( $x + 0.25 ) * 2;
	$full   = (int) ( $halves / 2 );
	$half   = $halves % 2;

	$full_str  = ' <i class="star icon full-star-rating"></i>';
	$half_str  = ' <i class="star half alternate icon half-star-rating"></i>';
	$empty_str = ' <i class="outline star icon empty-star-rating"></i>';

	$stars = '';
	for ( $i = 0; $i < $full; $i++) $stars .= $full_str;
	if ( $half ) $stars .= $half_str;
	for ( $i = $full + $half; $i < $n; $i++ ) $stars .= $empty_str;

	return $stars;
}

function wpjobster_update_job_rating_filter( $pid ) {
	global $wpdb;

	$r = $wpdb->get_results( "
		SELECT DISTINCT ratings.grade, ratings.id ratid
		FROM {$wpdb->prefix}job_ratings ratings, {$wpdb->prefix}job_orders orders, {$wpdb->prefix}posts posts
		WHERE posts.ID = orders.pid
			AND ( posts.ID = {$pid}
			OR ratings.pid IN (
				SELECT custom_offer
				FROM {$wpdb->prefix}job_pm pm, {$wpdb->prefix}job_ratings jr
				WHERE associate_job_id = {$pid}
				AND custom_offer = jr.pid
			)
		)
		AND ratings.awarded = '1'
		AND orders.id = ratings.orderid
	" );

	$rating = 0;

	if ( $r ) {
		$total = count( $r );

		$good = 0;
		foreach ($r as $row) { $good += $row->grade; }


		if ( $total != 0 ) {
			$rating = round( $good / $total, 2 );
		}
	}

	update_post_meta( $pid, 'job_rating', $rating );

	return $rating;
}
