<?php
function wpj_mark_completed( $orderid = '', $gateway = '' ){
	if ( ! $gateway ) {
		if ( ! is_user_logged_in() ) { wp_redirect( get_bloginfo( 'url' ) . "/wp-login.php?redirect_to=" . urlencode( get_permalink() ) ); exit; }
	}

	global $wp_query, $wpdb;

	if( ! $orderid ) { $orderid = $_GET['oid']; }

	$ok_without_uid = $gateway ? 1 : 0;

	if ( ! is_demo_user() ) {
		$mc = wpjobster_mark_completed( $orderid, $ok_without_uid );
		if($mc == 1) {
			$s   = "select * from ".$wpdb->prefix."job_orders where id='$orderid'";
			$r   = $wpdb->get_results( $s );
			$row = $r[0];

			$payment_gateway = $row->payment_gateway;
			if ( $payment_gateway=='cod' ) {

			}

			wp_redirect( get_bloginfo( 'url' ) . '?jb_action=chat_box&oid=' . $orderid );
			exit;
		}
		echo "oops.error";
	} else {
		wp_redirect( get_bloginfo( 'url' ) . '?jb_action=chat_box&oid=' . $orderid );
		exit;
	}
}

if ( ! function_exists( 'wpjobster_mark_completed' ) ) {
	function wpjobster_mark_completed( $orderid, $ok_without_uid = '' ) {
		global $current_user, $wpdb;
		$current_user = wp_get_current_user();
		$s    = "select distinct * from " . $wpdb->prefix . "job_orders where id='$orderid'";
		$r    = $wpdb->get_results($s);
		$row  = $r[0];
		$post = get_post( $row->pid );
		$pid  = $row->pid;
		$tm   = current_time( 'timestamp', 1 );
		$timestamp14 = strtotime( '+14 days', $tm );

		do_action( 'wpj_before_order_marked_as_completed', $orderid );

		$orderid_payment_gateway = wpjobster_get_order_meta( $orderid, 'payment_gateway' );
		$wpjobster_clearing_period = get_option( 'wpjobster_clearing_period' );
		$clear_now = 0;
		if ( is_numeric( $wpjobster_clearing_period ) ) {
			if ( $wpjobster_clearing_period == 0 || $orderid_payment_gateway=='cod' ) {
				$timestamp14 = $tm;
				$clear_now = 1;
			} else {
				$timestamp14 = strtotime( '+' . $wpjobster_clearing_period . ' days', $tm );
			}
		}

		if ( $row->clearing_period == 0 && $row->completed == 0 && $row->done_seller == 1 && $row->closed != 1 ) {
			$s = "update " . $wpdb->prefix . "job_orders set clearing_period='2', date_to_clear='$timestamp14' where id='$orderid' ";
			$wpdb->query( $s );
			do_action( 'wpjobster_do_when_in_clearing', $row );
			do_action( 'wpjobster_do_when_completed', $row );
			if ( $ok_without_uid == 1 ) {
				$ok_gen = 1;
			} elseif ( $row->uid == $current_user->ID ) {
				$ok_gen = 1;
			} else {
				$ok_gen = 0;
			}
			if ( $ok_gen == 1 ) {
				$tm = current_time( 'timestamp', 1 );
				$s = "update " . $wpdb->prefix . "job_orders set done_buyer='1', completed='1', date_completed='$tm' where id='$orderid' ";
				$wpdb->query($s);

				if ( wpj_is_custom_offer( $pid ) ) {
					wpj_custom_offer_completed( $pid, $orderid, $post->post_author );
				} else {
					$user_data = get_userdata( get_current_user_id() );
					$current_order = wpjobster_get_order( $orderid );

					wpj_notify_user_translated( 'order_complete', $post->post_author, array(
						'##sender_username##'       => wpj_get_user_display_type( $user_data->ID ),
						'##transaction_number##'    => wpjobster_camouflage_order_id( $orderid, $current_order->date_made ),
						'##transaction_page_link##' => wpj_get_order_link( $orderid ),
						'##job_name##'              => $post->post_title,
						'##job_link##'              => urldecode( get_permalink( $pid ) )
					) );
				}

				/* Calculate FEE */

				$raw_amount = $row->mc_gross;

				// check custom extra
				$custom_extras = json_decode( $row->custom_extras );
				if ( $custom_extras ) { $i = 0;
					foreach ( $custom_extras as $custom_extra ) {
						if ( $custom_extra->paid ) {
							$custom_extra_order = wpj_get_custom_extra( $row->id, $i );
							$custom_extra_payment = wpj_get_payment( array( 'payment_type' => 'custom_extra', 'payment_type_id' => $custom_extra_order->id ) );

							$raw_amount += $custom_extra_payment->amount;
						} $i++;
					}
				}

				// check tips
				$tips = json_decode( $row->tips );
				if ( $tips ) { $j = 0;
					foreach ( $tips as $tip ) {
						if ( $tip->paid ) {
							$tips_order = wpj_get_tip( $row->id, $j );
							$tips_payment = wpj_get_payment( array( 'payment_type' => 'tips', 'payment_type_id' => $tips_order->id ) );

							$raw_amount += $tips_payment->amount;
						} $j++;
					}
				}

				$raw_amount = apply_filters( 'wpj_raw_amount_update_filter', $raw_amount, $orderid );
				$amount_fee = wpjobster_calculate_fee( $raw_amount, $orderid, $post->post_author );

				$wpdb->insert(
					$wpdb->prefix . 'job_admin_earnings',
					array(
						'orderid'   => $orderid,
						'pid'       => $pid,
						'admin_fee' => $amount_fee,
						'datemade'  => $tm
					),
					array( '%d', '%d', '%s', '%d' )
				);

				$wpdb->insert(
					$wpdb->prefix . 'job_chatbox',
					array(
						'datemade' => current_time( 'timestamp', 1 ),
						'uid'      => -2,
						'oid'      => $orderid,
						'content'  => ''
					),
					array( '%d', '%d', '%d', '%s' )
				);

				$this_notification = $wpdb->insert_id;
				wpj_update_user_notifications( $post->post_author, 'notifications', +1, $this_notification );

				if ( $clear_now ) {
					$s = "update " . $wpdb->prefix . "job_orders set clearing_period='1' where id='$orderid' ";
					$wpdb->query( $s );
					wpjobster_mark_cleared( $row->id, 1 );
				}

				$ce = wpj_get_custom_extras( $orderid );
				if ( $ce ) {
					foreach ( $ce as $key => $c_extra ) {
						if ( $c_extra->payment_gateway_transaction_id ) {
							do_action( 'wpj_after_order_marked_as_completed', $orderid, $c_extra->payment_gateway_transaction_id );
						}
					}
				}

				return 1;
			}
			return 0;
		}
		return 0;
	}
}
