<?php
if ( ! function_exists( 'wpjobster_camouflage_order_id' ) ) {
	function wpjobster_camouflage_order_id( $id, $date = '' ) {
		if ( ! $date ) {
			$order = wpjobster_get_order( $id );
			$date  = isset( $order->date_made ) ? $order->date_made : '';
		}

		if ( $date ) {
			$return  = 'I';
			$return  = $return . date( "j", $date );
			$return  = $return . date( "n", $date );
			$return  = $return . 'D';
			$half    = round( strlen( $id ) / 2 );
			$end     = strlen( $id );
			$ids     = str_split( $id );

			for ( $i = 0; $i < $half; $i++ ) $return = $return . $ids[$i];

			$return  = $return . date( "y", $date );

			for ( $i = $half; $i < $end; $i++ ) $return = $return . $ids[$i];

			return $return;
		}
	}
}
