<?php
//Payment successful redirection only
//If payment status already updated and only need redirection e.g. Payfast
add_action( 'wpjobster_payment_success_redirection', 'wpjobster_payment_success_redirection_fun', 10, 3 );
if( ! function_exists( 'wpjobster_payment_success_redirection_fun' ) ) {
	function wpjobster_payment_success_redirection_fun( $order_id, $payment_type, $gateway ) {

		global $wpdb;
		$pref = $wpdb->prefix;

		if( $payment_type == 'feature' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=success&active_tab=tabs6");
			}else{
				$sql           = "select job_id from ".$pref."job_featured_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$job_id        = $select_row -> job_id;

				wp_redirect(get_bloginfo( 'url' )."/?jb_action=feature_job&status=success&jobid=".$job_id);
			}
			die();

		} elseif( $payment_type == 'topup' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=success&active_tab=topup");
			}else{
				wp_redirect(get_bloginfo( 'url' )."/?jb_action=show_bank_details&oid={$order_id}&payment_type=topup");
			}
			exit;

		} elseif( $payment_type == 'job_purchase' ) {

			$wpjobster_success_page_id=get_option("wpjobster_{$gateway}_success_page");
			if( $wpjobster_success_page_id!='' && $wpjobster_success_page_id!='0' ){
				wp_redirect(get_permalink($wpjobster_success_page_id));
			}else{
				wp_redirect(get_bloginfo( 'url' ).'/?jb_action=chat_box&oid='.$order_id);
			}
			exit;

		} elseif( $payment_type == 'custom_extra' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=success&active_tab=tabs7");
			}else{
				$sql           = "select order_id from ".$pref."job_custom_extra_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$order_id      = $select_row->order_id;

				wp_redirect(get_bloginfo( 'url' )."/?jb_action=chat_box&oid=".$order_id);
			}
			die();

		} elseif( $payment_type == 'tips' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=success&active_tab=tabs8");
			}else{

				$sql           = "select order_id from ".$pref."job_tips_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$order_id      = $select_row->order_id;

				wp_redirect(get_bloginfo( 'url' )."/?jb_action=chat_box&oid=".$order_id);
			}
			die();

		} elseif( $payment_type == 'subscription' ) {
			wp_redirect( get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ) . '?sub_action=details&thankyou=1&message_code=success' );
			exit;
		}
	}
}

//Payment failed redirection only
//If payment status already updated and only need redirection e.g. Midtrans
add_action( 'wpjobster_payment_fail_redirection', 'wpjobster_payment_failed_redirection_fun', 10, 3 );
if( ! function_exists( 'wpjobster_payment_failed_redirection_fun' ) ) {
	function wpjobster_payment_failed_redirection_fun( $order_id, $payment_type, $gateway ) {

		global $wpdb;
		$pref = $wpdb->prefix;

		if( $payment_type == 'feature' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=fail");
			}else{
				$sql           = "select job_id from ".$pref."job_featured_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$job_id        = $select_row->job_id;
				wp_redirect(get_bloginfo( 'url' )."/?jb_action=feature_job&status=fail&jobid=".$job_id);
			}
			exit;

		} elseif( $payment_type == 'topup' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=fail&active_tab=topup");
			}else{
				wp_redirect(get_bloginfo( 'url' )."/?jb_action=show_bank_details&oid=$order_id&payment_type=topup");
			}
			exit;

		} elseif( $payment_type == 'job_purchase' ) {
			$wpjobster_failure_page_id=get_option("wpjobster_{$gateway}_failure_page");
			if( $wpjobster_failure_page_id!='' && $wpjobster_failure_page_id!='0' ){
				wp_redirect(get_permalink($wpjobster_failure_page_id));
			}else{
				wp_redirect(get_bloginfo( 'url' ).'/?jb_action=chat_box&oid='.$order_id);
			}
			exit;

		} elseif( $payment_type == 'custom_extra' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=fail");
			}else{
				$sql           = "select order_id from ".$pref."job_custom_extra_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$order_id      = $select_row->order_id;

				wp_redirect(get_bloginfo( 'url' )."/?jb_action=chat_box&oid=".$order_id."&status=fail");
			}
			exit;

		} elseif( $payment_type == 'tips' ) {

			if(strpos($_SERVER['HTTP_REFERER'], 'page=order-stats') && strpos($_SERVER['HTTP_REFERER'], 'admin.php')){
				wp_redirect($_SERVER['HTTP_REFERER']."&status=fail");
			}else{
				$sql           = " select order_id from ".$pref."job_tips_orders where id='$order_id'";
				$select_result = $wpdb->get_results($sql);
				$select_row    = $select_result[0];
				$order_id      = $select_row->order_id;

				wp_redirect(get_bloginfo( 'url' )."/?jb_action=chat_box&oid=".$order_id."&status=fail");
			}
			exit;

		}
	}
}

//Get payment status by order id and payment type and redirect
//If required, call in payment gateway plugins e.g. Mollie
add_action( 'wpjobster_redirect_after_success_failed_transaction', 'wpjobster_redirect_after_success_failed_transaction_fun', 10, 5 );
if( ! function_exists( 'wpjobster_redirect_after_success_failed_transaction_fun' ) ) {
	function wpjobster_redirect_after_success_failed_transaction_fun( $order_id, $payment_type, $gateway_unique_slug, $payment_details, $payment_response ) {

		global $wpdb;
		$pref = $wpdb->prefix;

		if( $payment_type == 'feature' ) {
			$select_package = "select * from ".$pref."job_featured_orders where id='$order_id'";
			$r              = $wpdb->get_results($select_package);
			$order_info     = isset($r['0'])?$r['0']:0;
			$payment_status = $order_info->payment_status;
		} elseif( $payment_type == 'topup' ) {
			$select_package = "select * from ".$pref."job_topup_orders where id='$order_id'";
			$r              = $wpdb->get_results($select_package);
			$order_info     = isset($r['0'])?$r['0']:0;
			$payment_status = $order_info->payment_status;
		} elseif( $payment_type == 'job_purchase' ) {
			$order_info     = wpjobster_get_order_details_by_orderid( $order_id );
			$payment_status = $order_info->payment_status;
		} elseif( $payment_type == 'custom_extra' ) {
			$select_custom_extra = "select * from ".$pref."job_custom_extra_orders where id='$order_id'";
			$r                   = $wpdb->get_results($select_custom_extra);
			$order_info          = isset($r['0'])?$r['0']:0;
			$payment_status      = $order_info->payment_status;
		} elseif ( $payment_type == 'tips' ) {
			$select_tips    = "select * from ".$pref."job_tips_orders where id='$order_id'";
			$r              = $wpdb->get_results($select_tips);
			$order_info     = isset($r['0'])?$r['0']:0;
			$payment_status = $order_info->payment_status;
		}

		if( $payment_status == 'completed' ) {
			do_action("wpjobster_".$payment_type."_payment_success",$order_id,$gateway_unique_slug,$payment_details,$payment_response);
		} elseif ( $payment_status == 'cancelled' ) {
			do_action("wpjobster_".$payment_type."_payment_failed",$order_id,$gateway_unique_slug,$payment_details,$payment_response);
		}

	}
}
