<?php
function listing_buttons_jobs( $classes = 'grid-switch-absolute' ) { ?>
	<div class="<?php echo $classes; ?>">
		<ul class="listing-job <?php echo wpj_get_cards_layout_class(); ?>">
			<li class="layout_jobs" data-value="grid"><i class="grid layout icon"></i></li>
			<li class="layout_jobs" data-value="list"><i class="list layout icon"></i></li>
		</ul>
	</div>
<?php }

add_action( 'wp_ajax_nopriv_fnc_layout_job', 'fnc_layout_job' );
add_action( 'wp_ajax_fnc_layout_job', 'fnc_layout_job' );
function fnc_layout_job() {

	if ( isset( $_POST['layout'] ) && $_POST['layout'] == 'list' ) $_SESSION['wpj_jobs_layout'] = 'list';
	else $_SESSION['wpj_jobs_layout'] = 'grid';

	wp_die();

}

add_action( 'pre_get_posts', 'wpj_allow_author_to_view_draft_post' );
function wpj_allow_author_to_view_draft_post( $query ) {
	if ( get_current_user_id() == get_post_field( 'post_author', $query->query_vars['p'] ) ) {
		if ( isset( $_GET['post_type'] ) && ( $_GET['post_type'] == 'request' || $_GET['post_type'] == 'job' ) && ( isset( $_GET['p'] ) && $_GET['p'] ) ) {
			$query->set( 'post_status', array( 'publish', 'draft', 'pending', 'inherit' ) );
		}
	}
}
