<?php
if ( ! function_exists( 'wpj_sng_req_custom_offer' ) ) {
	function wpj_sng_req_custom_offer() {
		global $post, $wpdb;

		$myuid = $otheruid = 0;
		if ( is_user_logged_in() ) {
			$current_user = wp_get_current_user();
			$myuid = $current_user->ID;
		}

		$pid = get_the_ID();

		wpj_pm_support_file( $otheruid, $myuid );

		if ( is_user_logged_in() ) {
			$s = "
				SELECT * FROM (
					SELECT * FROM {$wpdb->prefix}job_pm
					WHERE associate_request_id = '{$pid}'
					AND (
						( user = '{$myuid}' AND show_to_destination = '1' ) OR ( initiator = '{$myuid}' AND show_to_source = '1')
					)
					ORDER BY datemade DESC
				) AS t1
				ORDER BY datemade ASC
			";

			$r = $wpdb->get_results( $s );

			if ( count( $r ) > 0 ) {

				$show_heading = 0;
				echo '<div class="pm-list sng-req-cs-content">';
					$show_heading++;
					wpjobster_pm_loop( $r, $myuid, $otheruid, $show_heading );
				echo '</div>';
			}
		}
	}
}

if ( ! function_exists( 'wpj_sng_req_button' ) ) {
	function wpj_sng_req_button(){
		global $post, $wpdb;

		$myuid = $otheruid = 0;
		if ( is_user_logged_in() ) {
			$current_user = wp_get_current_user();
			$myuid = $current_user->ID;
		}

		$pid = get_the_ID();

		if ( is_user_logged_in() ) {

			wpj_display_custom_offer_button( 'send', __( 'Send Custom Offer', 'wpjobster' ), $pid, $myuid, $post->post_author, 'single_request' );

			$s = "
				SELECT * FROM (
					SELECT * FROM {$wpdb->prefix}job_pm
					WHERE associate_request_id = '{$pid}'
					AND (
						( user = '{$myuid}' AND show_to_destination = '1' ) OR ( initiator = '{$myuid}' AND show_to_source = '1' )
					)
					ORDER BY datemade DESC
				) AS t1
				ORDER BY datemade ASC
			";

			$r = $wpdb->get_results( $s );

			if ( count( $r ) <= 0 ) {
				if ( $myuid == $post->post_author ) {
					echo '<div class="pm-holder padding-cnt">' . __( 'No offers here.', 'wpjobster' ) . '</div>';
				}
			}
		}
	}
}