<?php
function wpj_display_sort_by_content( $page = 'job', $title = '', $icon = '' ) {
	// Vars
	if ( $page == 'job' ) {
		$title = $title ? $title : __( "All Posted Jobs", 'wpjobster' );
	} else {
		$title = $title ? $title : __( "All Posted Requests", 'wpjobster' );
	}

	$order = wpjobster_get_current_order_by_thing();

	$location_default = $lat_default = $lng_default = '';
	if ( get_option( 'wpjobster_html5_geolocation_enable' ) == 'yes' ) {
		$location_default = WPJ_Form::cookie( 'wpj_location', '' );
		$lat_default      = WPJ_Form::cookie( 'wpj_lat', '' );
		$lng_default      = WPJ_Form::cookie( 'wpj_lng', '' );
	}

	$location_get  = WPJ_Form::get( 'location', $location_default );
	$latitude_get  = WPJ_Form::get( 'latitude', $lat_default );
	$longitude_get = WPJ_Form::get( 'longitude', $lng_default );

	// Include HTML
	include ( locate_template( 'template-parts/posts/content-sort-by.php' ) );
}
