<?php
add_action( 'wp_ajax_nopriv_wpj_ajax_deactivate_request', 'wpj_ajax_deactivate_request' );
add_action( 'wp_ajax_wpj_ajax_deactivate_request', 'wpj_ajax_deactivate_request' );
function wpj_ajax_deactivate_request( $pid = '' ) {

	if ( is_user_logged_in() ) {

		if ( ! $pid ) { $pid  = $_POST['var_post_id']; $called = false; } else { $called = true; }
		$post = get_post( $pid );

		if ( $post->post_author == get_current_user_id() ) {
			update_post_meta( $pid, 'active', 0 );
			echo 'success';
		} else { echo 'not_your_post'; }

	} else { echo 'not_logged_in'; }

	if ( ! $called ) { wp_die(); }
}


add_action( 'wp_ajax_nopriv_wpj_ajax_activate_request', 'wpj_ajax_activate_request' );
add_action( 'wp_ajax_wpj_ajax_activate_request', 'wpj_ajax_activate_request' );
function wpj_ajax_activate_request( $pid = '' ) {

	if ( is_user_logged_in() ) {

		if ( ! $pid ) { $pid  = $_POST['var_post_id']; $called = false; } else { $called = true; }
		$post = get_post( $pid );

		if ( $post->post_author == get_current_user_id() ) {
			update_post_meta( $pid, 'active', 1 );
			delete_post_meta( $pid, 'deactivation_reason' );
			echo 'success';
		} else { echo 'not_your_post'; }

	} else { echo 'not_logged_in'; }

	if ( ! $called ) { wp_die(); }
}