<?php
add_action( 'init', 'flush_cookie_buster' );
function flush_cookie_buster(){
	if ( isset( $_SERVER['HTTP_COOKIE'] ) && isset( $_GET['flush_cookies'] ) ) {
		$cookies = explode( ';', $_SERVER['HTTP_COOKIE'] );
		foreach ( $cookies as $cookie ) {
			$parts = explode( '=', $cookie );
			$name  = trim( $parts[0] );

			setcookie( $name, '', time() - 1000 );
			setcookie( $name, '', time() - 1000, '/' );
		}

	}
}

add_action( 'admin_init','wpjobster_set_template_url_cookie' );
function wpjobster_set_template_url_cookie(){
	setcookie( 'template_url', get_template_directory_uri(), time() + 86400, '/' );
	setcookie( 'relative_template_path',
		str_replace( content_url(), '../..', get_template_directory_uri() ),
		time() + 86400, '/' );
}