<div class="ui modal report-modal <?php echo $id; ?> smaller">

	<i class="close icon"></i>

	<div class="header report"><?php echo $label; ?></div>

	<div class="content report-form-modal-wrapper">

		<?php if ( is_user_logged_in() ) { ?>

			<form action="javascript://" name="report_form" class="ui form report-form">

				<div class="form-wrapper">

					<div class="report-error-wrapper"></div>

					<div class="cf field"><?php _e( "You are about to report the following:", "wpjobster" ); ?><br /><?php echo wpj_apply_filter_to_string( $title, false, 'joblistings' ); ?></div>

					<div class="cf field">

						<select name="reason" class="ui dropdown">

							<option value=""><?php _e( 'Report Reason', 'wpjobster' ); ?></option>

							<?php if ( $reasons ) {
								foreach ( $reasons as $key => $reason ) { ?>

									<option value="<?php echo $reason->term_id; ?>"><?php echo $reason->name; ?></option>

								<?php }
							} ?>

						</select>

					</div>

					<div class="field"><textarea name="description" placeholder="<?php _e( 'Report Description', 'wpjobster' ); ?>" class="w100"></textarea></div>

					<input type="hidden" name="action" value="send_report_form" />
					<input type="hidden" name="target" value="<?php echo $report_target; ?>" />
					<input type="hidden" name="title" value="<?php echo $title ?>" />
					<input type="hidden" name="id" value="<?php echo $id ?>" />

					<div class="two fields">
						<div class="field"><input class="ui positive button <?php echo $report_target; ?> uppercase w100 report-submit" type="submit" value="<?php _e( 'Submit', 'wpjobster' ) ?>" name="report" /></div>
						<div class="field"><input class="ui negative button <?php echo $report_target; ?> uppercase w100 report-close" type="button" role="button" value="<?php _e( 'Cancel', 'wpjobster' ); ?>" name="request" /></div>
					</div>

				</div>

			</form>

		<?php } else { _e( "Not logged in", "wpjobster" ); } ?>

	</div>

</div>