jQuery( document ).ready(function( $ ) {

	/* Accept order */
	jQuery( document ).on( 'click', 'a.accept_order', function() {

		var $this =  $( this );

		$this.addClass( 'loading' ).addClass( 'disabled' );

		jQuery.ajax({
			type: "POST",
			url : wpj_vars.ajaxurl,
			data: {
				action: 'accept_order',
				oid: oid
			},
			success: function( msg ) {
				$this.removeClass( 'loading' ).removeClass( 'disabled' );

				if ( wpj_vars.live_notify == 'yes' ) {
					initLiveNotifications();
				} else {
					location.reload();
				}
			}
		});
	});

	/* Deny order */
	jQuery( document ).on( 'click', 'a.deny_order', function() {

		var $this =  $( this );

		$this.addClass( 'loading' ).addClass( 'disabled' );

		jQuery.ajax({
			type: "POST",
			url : wpj_vars.ajaxurl,
			data: {
				action: 'deny_order',
				oid: oid
			},
			success: function( msg ) {
				$this.removeClass( 'loading' ).removeClass( 'disabled' );

				if ( wpj_vars.live_notify == 'yes' ) {
					initLiveNotifications();
				} else {
					location.reload();
				}
			}
		});
	});

});