<?php /*** HELPERS ***/

function wpj_sor_get_order_status( $oid ) {
	global $wpdb;

	$row = $wpdb->get_row( "SELECT seller_confirmation FROM {$wpdb->prefix}job_orders WHERE id = {$oid}" );

	return $row->seller_confirmation;
}

function wpj_seller_pending_confirmation_orders( $uid = '', $page = 'sales' ) {

	global $wpdb;

	if ( ! $uid ) { $uid = get_current_user_id(); }

	$db_column = $page == 'sales' ? 'posts.post_author' : 'orders.uid';

	$query = $wpdb->prepare(
		"
		SELECT DISTINCT *
		FROM {$wpdb->prefix}job_orders orders,
			 {$wpdb->prefix}posts posts
		WHERE {$db_column} = %d
			AND posts.ID = orders.pid
			AND orders.done_seller = '0'
			AND orders.done_buyer = '0'
			AND orders.date_finished = '0'
			AND orders.closed = '0'
			AND orders.seller_confirmation = '0'
			AND orders.payment_status != 'pending'
		ORDER BY orders.id DESC
		",
		$uid
	);

	$r = $wpdb->get_results( $query );

	return array(
		'query' => $query,
		'row'   => $r,
		'count' => count( $r )
	);

}
