<?php  /*** NOTIFICATIONS ***/

add_filter( 'wpj_chatbox_buyer_uid_filter', 'wpj_sor_add_buyer_numbers', 10, 1 );
function wpj_sor_add_buyer_numbers( $buyer ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( is_array( $buyer ) ) { array_push( $buyer, -47, -48 ); }
	}

	return $buyer;
}

add_filter( 'wpj_notification_content_filter', 'wpj_sor_add_notification_content', 10, 2 );
function wpj_sor_add_notification_content( $notifications, $code ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( $code == -47 ) {
			return array(
				'content'    => __( '%2$s accepted the order %1$s', 'wpjobster' ),
				'icon_class' => 'accepted green'
			);
		} elseif ( $code == -48 ) {
			return array(
				'content'    => __( '%2$s rejected the order %1$s', 'wpjobster' ),
				'icon_class' => 'declined2 red'
			);
		}
	}

	return $notifications;
}

add_filter( 'wpj_chatbox_hidden_notifications_uid_filter', 'wpj_sor_add_hidden_notifications_number', 10, 1 );
function wpj_sor_add_hidden_notifications_number( $hidden_notifications ) {
	if ( get_option( 'wpjobster_seller_order_rejection_enable' ) == 'yes' ) {
		if ( is_array( $hidden_notifications ) ) { array_push( $hidden_notifications, -47, -48 ); }
	}

	return $hidden_notifications;
}
