<!-- Include chat -->
<?php if ( get_option( 'wpjobster_chat_enable' ) == 'yes' && is_user_logged_in() ) { wpj_init_chat_system(); } ?>

<?php global $no_header_footer;

if ( $no_header_footer == false ) {

	get_template_part( 'template-parts/footer/footer', 'secondary' ); ?>

	<div class="footer-wrapper">
		<div class="cf main">

			<!-- Row - Logo -->
			<div class="ui one column wide grid footer-row-logo">
				<div class="column">
					<!-- Logo -->
					<?php get_template_part( 'template-parts/footer/footer', 'logo' ); ?>

					<!-- Copyright text -->
					<?php get_template_part( 'template-parts/footer/footer', 'copyright' ); ?>
				</div>
			</div>
			<!-- END Row - Logo -->

			<div class="ui hidden divider"></div>

			<!-- Row - Widgets -->
			<?php get_template_part( 'template-parts/footer/footer', 'widgets' ); ?>
			<!-- END Row - Widgets -->

			<div class="ui section divider"></div>

			<!-- Row - Social -->
			<?php global $wpjobster_currencies_array; ?>

			<div class="ui <?php echo count( $wpjobster_currencies_array ) > 1 ? 'three' : 'two'; ?> column<?php if ( wpj_is_mobile() || wpj_is_tablet() ) { echo ' doubling stackable '; } else { echo ' '; } ?>grid footer-row-social-media">

				<!-- Carts -->
				<?php get_template_part( 'template-parts/footer/footer', 'cart' ); ?>

				<!-- Social Media -->
				<?php get_template_part( 'template-parts/footer/footer', 'social-media' ); ?>

				<!-- Currency switcher -->
				<?php if ( count( $wpjobster_currencies_array ) > 1 ) { get_template_part( 'template-parts/footer/footer', 'currency' ); } ?>

			</div>
			<!-- END Row - Social -->

		</div>
	</div>

<?php }

get_template_part( 'template-parts/footer/footer', 'analytics' );
get_template_part( 'template-parts/footer/footer', 'back-to-top' );
