<?php $widget_columns = get_theme_mod( 'select_number_cols' );
if ( ! $widget_columns || $widget_columns == '' ) {
	$widget_columns = 5;
} ?>

<div class="ui <?php echo wpj_number_to_string( $widget_columns ); ?> column doubling stackable grid footer-row-widgets">

	<?php for ( $x = 1; $x <= $widget_columns; $x++ ) { ?>

		<div class="column footer-col-widget<?php echo $x; ?>">
			<?php if ( is_user_logged_in() ) {
				if ( is_active_sidebar( 'footer-widget-' . $x . '-logged-in' ) ) {
					dynamic_sidebar( 'footer-widget-' . $x . '-logged-in' );
				}
			} else {
				if ( is_active_sidebar( 'footer-widget-' . $x ) ) {
					dynamic_sidebar( 'footer-widget-' . $x );
				}
			} ?>
		</div>

	<?php } ?>

</div>
