<div id="content-full-ov">
	<div class="ui basic notpadded segment">
		<h1 class="ui header wpj-title-icon">
			<i class="edit outline icon"></i>
			<?php echo get_the_title(); ?>
		</h1>
	</div>

	<?php if ( wpj_email_settings_save_post() ) { ?>
		<div class="ui positive message">
			<p><?php echo __( 'Settings saved!', 'wpjobster' ); ?></p>
		</div>
	<?php } ?>

	<div class="ui basic notpadded segment">
		<form method="POST" class="ui form">
			<div class="two fields">
				<div class="field">

					<div class="white-cnt heading-cnt cf center adjustments">
						<label><?php _e( 'EMAIL', 'wpjobster' ); ?></label>
					</div>

					<div class="white-cnt heading-cnt cf">
						<p class="lighter">
							<ul class="notifications mail_notification">
								<li id="all-mail" class="little-bottom-space">
									<div class="ui checkbox">
										<input id="all-email-notify" type="checkbox" value="mark_all_email_notify" />
										<label><?php _e( 'Check all', 'wpjobster' ); ?></label>
									</div>
								</li>

								<?php wpj_email_settings_list_email_type(); ?>
							</ul>
						</p>
					</div>

				</div>


				<?php if ( get_option( 'wpjobster_sms_gateways_enable' ) != '-' && get_option( 'wpjobster_sms_gateways_enable' ) != '' ) { ?>
					<div class="field">
						<div class="white-cnt heading-cnt cf center adjustments">
							<label><?php echo __( 'SMS', 'wpjobster' ); ?></label>
						</div>

						<div class="white-cnt heading-cnt cf">
							<p class="lighter">
								<ul class="notifications sms_notification">
									<li id="all-sms" class="little-bottom-space">
										<div class="ui checkbox">
											<input id="all-sms-notify" type="checkbox" value="mark_all_sms_notify" />
											<label><?php _e( 'Check all', 'wpjobster' ); ?></label>
										</div>
									</li>

									<?php wpj_email_settings_list_sms_type(); ?>
								</ul>
							</p>
						</div>
					</div>
				<?php } ?>
			</div>

			<input type="submit" class="btn btn-front ui primary button" name="uz_save_notification" value="<?php _e( 'Save Options', 'wpjobster' ); ?>"/>

			<div class="ui hidden divider"></div>
		</form>
	</div>
</div>

<div class="ui hidden divider"></div>
