<?php function wpj_deactivate_request_modal() { ?>

	<div class="ui modal smaller center deactivate-request">

		<i class="close icon"></i>

		<div class="ui icon header">
			<i class="inverted grey low vision icon"></i>
			<div class="request-title-modal"></div>
		</div>

		<div class="center content deactivate-request">
			<?php _e( 'Are you sure you want to deactivate this request?', 'wpjobster' ); ?>
		</div>

		<div class="center actions">

			<div class="ui blue labeled icon button ajax_deactivate_request">
				<i class="white checkmark icon"></i>
				<?php _e( 'Deactivate', 'wpjobster' ); ?>
			</div>

			<div class="ui labeled icon cancel button">
				<i class="remove icon"></i>
				<?php _e( 'Cancel', 'wpjobster' ); ?>
			</div>

		</div>

	</div>

<?php }

function wpj_activate_request_modal() { ?>

	<div class="ui modal smaller center activate-request">

		<i class="close icon"></i>

		<div class="ui icon header">
			<i class="inverted grey unhide icon"></i>
			<div class="request-title-modal"></div>
		</div>

		<div class="center content activate-request">
			<?php _e( 'Are you sure you want to activate this request?', 'wpjobster' ); ?>
		</div>

		<div class="center actions">

			<div class="ui blue labeled icon button ajax_activate_request">
				<i class="white checkmark icon"></i>
				<?php _e( 'Activate', 'wpjobster' ); ?>
			</div>

			<div class="ui labeled icon labeled icon cancel button">
				<i class="remove icon"></i>
				<?php _e( 'Cancel', 'wpjobster' ); ?>
			</div>

		</div>

	</div>

<?php }