<?php $vars = wpj_user_search_vars(); extract( $vars ); ?>

<div id="content-full-ov">

	<div class="ui basic notpadded segment">
		<h1 class="ui header"><?php echo get_the_title(); ?></h1>
	</div>

	<div class="searchUsername ui segment">
		<div class="ui stackable grid">
			<div class="sixteen wide column">
				<input value="<?php if ( isset( $username ) ) { echo $username; } ?>" style="width: 100%;" type="text" name="searchInp" id="searchInp" class="searchInp grey_input white lighter w100" placeHolder="<?php echo $title_place_holder; ?>" />
				<i class="autocomplete-icon notched circle loading icon" style="display: none"></i>
			</div>

			<?php if ( get_option( 'wpjobster_enable_search_user_location' ) == 'yes' ) { ?>

				<input id="user_lat" type="hidden" name="lat" value="<?php echo isset( $_GET['lat'] ) ? $_GET['lat'] : ''; ?>">
				<input id="user_long" type="hidden" name="long" value="<?php echo isset( $_GET['long'] ) ? $_GET['long'] : ''; ?>">

				<div class="eight wide column no-padding-top">
					<input class="grey_input white lighter w100" value="<?php if ( isset( $location ) ) { echo ucfirst( $location ); } ?>" placeHolder="<?php echo __( 'City or Country', 'wpjobster' ); ?>" type="text" id="locationInp" name="locationInp" size="40" />
				</div>

				<div class="eight wide column no-padding-top no-padding-left">
					<input value="<?php if ( isset( $location_rad ) ) { echo $location_rad; } ?>" class="grey_input white lighter w100" type="text" id="radiusInp" placeHolder="<?php echo $radius_placeholder; ?>" name="radiusInp" size="40" />
				</div>

			<?php } ?>
		</div>
	</div>

	<div id="userInformations">
		<div class="search-user-status white-cnt padding-cnt">
			<i class="search-user-icon big notched circle loading icon"></i>
		</div>
	</div>

	<div class="load-more-button wpj-search-user-load-more">
		<?php _e( "Load More", "wpjobster" ); ?>
	</div>

	<div class="ui hidden divider"></div>

</div>
