<?php // Vars
$param1                       = $this;
$amount_chargable             = 0;
$subscription_packages_number = 4;
$current_level                = isset( $current_level ) ? $current_level : '';
$current_type                 = isset( $current_type ) ? $current_type : '';
$crds                         = wpjobster_get_credits( get_current_user_id() );

if ( isset( $subscr_action ) && $subscr_action ) { ?>

	<div class="subscription-wrapper">
		<form id="subscripton-form" action="<?php echo get_permalink( get_option( 'wpjobster_subscriptions_page_id' ) ); ?>" method="GET">
			<?php if ( $subscr_action == 'new_subscription' ) { ?>
				<input type="hidden" name="jb_action" value="new_subscription" />
			<?php } elseif ( $subscr_action == 'upgrade_subscription' ) { ?>
				<input type="hidden" name="jb_action" value="change_subscription"/>
			<?php } elseif ( $subscr_action == 'schedule_upgrade_subscription' ) { ?>
				<input type="hidden" name="jb_action" value="schedule_subscription"/>
				<input type="hidden" name="schedule_only" value ="1" />
			<?php }

			if ( wp_is_mobile() ) {
				include_once get_template_directory() . '/template-parts/pages/subscriptions/subscription_mobile.php';
			} else {
				include_once get_template_directory() . '/template-parts/pages/subscriptions/subscription_pc.php';
			} ?>

			<!-- Payment buttons -->
			<div class="ui segment grey-div">
				<div class="ui two column stackable grid">

					<?php if ( ! wpj_payment_type_has_gateway_enabled( 'subscription' ) && ! has_action( 'wpjobster_purchase_subscription_add_payment_method' ) ) { ?>

						<div class="sixteen wide column"><?php _e( 'Payment methods are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></div>

					<?php } elseif ( isset( $_GET['sub_action'] ) && ( $_GET['sub_action'] == 'schedule' || $_GET['sub_action'] == 'change' ) && get_option( 'wpjobster_credits_enable' ) != 'no' && $crds <= 0 ) { ?>

						<div class="sixteen wide column"><?php _e( 'Payment methods are not available at this time. Please contact the administrator of this site for help.', 'wpjobster' ); ?></div>

					<?php } else { ?>

						<div class="<?php echo wp_is_mobile() ? 'sixteen' : 'twelve'; ?> wide column payment-gateways">

							<?php if ( get_option( 'wpjobster_credits_enable' ) != 'no' && $crds > 0 ) { ?>
								<button name="method" value="credits" class="ui white button"><?php _e( 'Account Balance', 'wpjobster' ); ?></button>
							<?php }

							if ( empty( $_GET['sub_action'] ) || ( ! empty( $_GET['sub_action'] ) && $_GET['sub_action'] != 'schedule' && $_GET['sub_action'] != 'change' ) ) {

								$wpjobster_paypal_enable      = get_option( 'wpjobster_paypal_enable' );
								$wpjobster_paypal_enable_subs = get_option( 'wpjobster_paypal_enable_subscription' );
								if ( $wpjobster_paypal_enable == "yes" && $wpjobster_paypal_enable_subs == "yes" ) { ?>
									<button name="method" value="paypal" class="ui white button"><?php _e( 'PayPal', 'wpjobster' ); ?></button>
								<?php }

								do_action( 'wpjobster_purchase_subscription_add_payment_method' );

							} ?>

						</div>

						<?php if ( ! wp_is_mobile() ) { ?>

							<div class="four wide column payment-total">
								<div class="total-payment-purchase">
									<?php echo __( 'Total', 'wpjobster' ); ?>:
									<strong class="subsc-total"><?php echo wpjobster_get_show_price( 0 ); ?></strong>
								</div>
							</div>

						<?php }

					} ?>

				</div>
			</div>

		</form>
	</div>

<?php } else {
	wp_redirect( get_bloginfo( 'url' ) ); exit;
} ?>

<div class="ui hidden divider"></div>

<!-- Stripe popup -->
<div id="payment-gateway-popup"></div>
