<?php
$vars = wpj_user_status_vars( $u_id );

if ( ! isset( $os ) ) { $os = $vars['user_status']; }
$class_on  = $os == 'yes_with_text' ? 'online' : 'user-profile-online-icon';
$class_off = $os == 'yes_with_text' ? 'offline' : 'user-profile-offline-icon';

$tooltip_postition = is_rtl() ? 'top right' : 'top center';

if ( $os && $os != 'no' ) { ?>

	<div class="user-status-wrapper">

		<?php if ( $vars['mins'] <= 5 ) { ?>

			<!-- ONLINE -->
			<div class='<?php echo $class_on; ?>'>
				<?php if ( $os == 'yes_with_text' ) {
					echo __( 'Online', 'wpjobster' );
				} elseif ( $os == 'yes_with_icon' ) { ?>
					<div class="z-index-bigger" data-inverted="" data-tooltip="<?php echo __( 'Online', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
						<span class="user-profile-online"> &bull; </span>
					</div>
				<?php } ?>
			</div>

		<?php } else { ?>

			<!-- OFFLINE -->
			<div class='<?php echo $class_off; ?>'>
				<?php if ( $os == 'yes_with_text' ) {
					echo __( 'Offline', 'wpjobster' );
				} elseif ( $os == 'yes_with_icon' ) { ?>
					<div class="z-index-bigger" data-inverted="" data-tooltip="<?php echo __( 'Offline', 'wpjobster' ); ?>" data-position="<?php echo $tooltip_postition; ?>">
						<span class="user-profile-offline"> &bull; </span>
					</div>
				<?php } ?>
			</div>

		<?php } ?>

	</div>

<?php }
