<div id="content-full-ov">

	<?php wpj_display_sort_by_content( 'request', __( 'Recent Requests', 'wpjobster' ), 'users' ); ?>

	<!-- Left -->
	<div class="new-left-sidebar">

		<!-- Widget Categories Top -->
		<?php if ( is_active_sidebar( 'category-top-widgets-area' ) ) { ?>
			<div class="ui segment">
				<div id="category-top-widgets-area" class="primary-sidebar widget-area" role="complementary">
					<ul><?php dynamic_sidebar( 'category-top-widgets-area' ); ?></ul>
				</div>
			</div>
		<?php } ?>

		<!-- List categories -->
		<?php echo do_shortcode( '[request-category-lists]' ); ?>

		<!-- Search section -->
		<div class="ui segment"><?php wpj_display_search_sidebar_content( 'request' ); ?></div>

		<!-- Widget Categories Bottom -->
		<?php if ( is_active_sidebar( 'category-bottom-widgets-area' ) ) { ?>
			<div class="ui segment">
				<div id="category-bottom-widgets-area" class="primary-sidebar widget-area" role="complementary">
					<ul><?php dynamic_sidebar( 'category-bottom-widgets-area' ); ?></ul>
				</div>
			</div>
		<?php } ?>

	</div>

	<!-- Right -->
	<div class="right_container">

		<?php wpj_taxonomy_request_posts(); ?>

		<div class="ui hidden divider"></div>

		<div class="tax-request-form">
			<?php if ( shortcode_exists( 'show_request_form' ) ) {
				echo do_shortcode( '[show_request_form]' );
			} ?>
		</div>

	</div>

</div>

<div class="ui hidden divider"></div>
